package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.Contrato;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 25/01/2016 - 15:23:44
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public interface ContratoDao extends CitGenericDAO {


	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">638</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
	 *
	 * Método responsável por manter o vínculo de um programa ação com um contrato.
	 *
	 * @author luis.camargo
	 *
	 * @param idProgramaAcao
	 * @return
	 */
	Contrato buscarPorProgramaAcao(Long idProgramaAcao);

	/**
<<<<<<< HEAD
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
	 *
	 * Método responsável por buscar contratos por numero/ano
	 *
	 * @author geovane.filho
	 *
	 * @param value
	 * @param idOrganizacao
	 * @return
	 */
	Collection<Contrato> findContrato(String value, Long idOrganizacao);

	/**
	 * Método responsável por listar contratos por numero e organizacao
	 *
	 * @author luis.camargo
	 *
	 * @param numeroAnoContrato
	 * @param idOrganizacao
	 *
	 * @return Collection<Contrato>
	 */
	Collection<Contrato> findAutoCompleteContratoByNumeroAndOrganizacao(String numeroAnoContrato, Long idOrganizacao);

	/**
	 * M&eacute;todo respons&aacute;vel por listar Contratos por codigo e organizacao
	 *
	 * @author ciro.junior (<a href="mailto:ciro.junior@centralit.com.br">ciro.junior@centralit.com.br</a>)
	 *
	 * @param numeroAnoContrato
	 * @param idOrganizacao
	 * @return Collection<Contrato>
	 * @return
	 */
	Collection<Contrato> findAutoCompleteContratoPorNumeroAndOrganizacao(String numeroAnoContrato, Long idOrganizacao);

}
