package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.ContratoEmpenho;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 09/03/2016 - 11:48:14
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
public interface ContratoEmpenhoDao extends CitGenericDAO {
	
	/**
	 * 
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por
	 *
	 * @author geovane.filho
	 *
	 * @param contratoId
	 * @return
	 */
	Collection<ContratoEmpenho> findAllByContrato(Long contratoId);

	Collection<ContratoEmpenho> findEmpenhoParaLiberacao(Long contratoId);

}
