package br.com.centralit.api.dao;

import java.util.Collection;

import com.googlecode.genericdao.search.SearchResult;

import br.com.centralit.api.model.ObjetivoEstrategico;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

public interface ObjetivoEstrategicoDao extends CitGenericDAO {

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
	 *
	 * Método responsável por trazer todos os objetivos estratégicos da organizacao do usuário logado.
	 *
	 * @author luis.camargo
	 *
	 * @param organizacaoId ID da organizacao a se buscar os objetivos estratégicos
	 * @return
	 */
	Collection<ObjetivoEstrategico> findAllByOrganizacao(Long organizacaoId);

	SearchResult<ObjetivoEstrategico> findAllObjetivosEstrategico(String nomeObjetivo, String descricaoNecessidade, String keyword, int limiteResultado, int pagina);

}
