package br.com.centralit.api.dao.impl;

import java.math.BigDecimal;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.googlecode.genericdao.search.Search;

import br.com.centralit.api.dao.OrdemFornecimentoItemDao;
import br.com.centralit.api.model.OrdemFornecimentoItem;
import br.com.centralit.api.model.RegistroOcorrencia;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;

/**
 *
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 03/02/2016 - 16:56:54
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Repository("ordemFornecimentoItemDao")
public class OrdemFornecimentoItemDaoHibernate extends CitGenericDAOImpl implements OrdemFornecimentoItemDao {

	public OrdemFornecimentoItemDaoHibernate() {
		super(OrdemFornecimentoItem.class);
	}

	@Override
	public BigDecimal getValorTotalOS(Long ordemFornecimentoId) {
		Search search = new Search();
		search.addFilterEqual("ordemFornecimento.id", ordemFornecimentoId);
		List<OrdemFornecimentoItem> result = this.search(search, this.persistentClass);
		BigDecimal valorTotalOs = new BigDecimal("0");
		if(result == null || result.size() == 0){
			return valorTotalOs;
		}else{
			for (OrdemFornecimentoItem item : result) {
				valorTotalOs = valorTotalOs.add(item.getValorTotalItem());
			}
		}
		return valorTotalOs;
	}

}
