package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;


/**
 *
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 17/03/2016 - 16:10:29
 *
 * @version 1.0.0
 *
 * @author luis.camargo
 *
 */
@Audited
@AuditTable(value = "cnt_ep_documento_aud")
@Entity
@Table(name="cnt_ep_documento")
@JsonIgnoreProperties({ "uploadsDocumento", "$uuid", "$checked", "$index", "size", "name", "$error" })
public class ContratoEmpenhoDocumento extends Documento {

	private static final long serialVersionUID = -5730145929579780388L;

	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private ContratoEmpenho contratoEmpenho;

	/** Atributo eventoApostilamentoInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private ContratoEmpenho contratoEmpenhoInativo;

	public ContratoEmpenho getContratoEmpenho() {
		return contratoEmpenho;
	}

	public void setContratoEmpenho(ContratoEmpenho contratoEmpenho) {
		this.contratoEmpenho = contratoEmpenho;
	}

	public ContratoEmpenho getContratoEmpenhoInativo() {
		return contratoEmpenhoInativo;
	}

	public void setContratoEmpenhoInativo(ContratoEmpenho contratoEmpenhoInativo) {
		this.contratoEmpenhoInativo = contratoEmpenhoInativo;
	}

}
