package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 19/01/2016 - 17:09:36
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
@Entity
@Table(name="cnt_cn_observacao")
public class ContratoObservacao extends Observacao {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 78579413846779181L;

	/** Atributo contrato. */
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private Contrato contrato;


	/**
	 * Retorna o valor do atributo <code>contrato</code>
	 *
	 * @return <code>Contrato</code>
	 */
	public Contrato getContrato() {

		return contrato;
	}


	/**
	 * Define o valor do atributo <code>contrato</code>.
	 *
	 * @param contrato
	 */
	public void setContrato(Contrato contrato) {

		this.contrato = contrato;
	}

}
