package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 03/02/2016 - 14:50:36
 *
 * @version 1.0.0
 *
 * @author luis.camargo
 *
 */
@Entity
@Table(name="cnt_ce_observacao")
public class CronogramaExecucaoObservacao extends Observacao {

	
	private static final long serialVersionUID = 1822545139103009408L;

	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private CronogramaExecucao cronogramaExecucao;

	public CronogramaExecucao getCronogramaExecucao() {
		return cronogramaExecucao;
	}

	public void setCronogramaExecucao(CronogramaExecucao cronogramaExecucao) {
		this.cronogramaExecucao = cronogramaExecucao;
	}

}
