package br.com.centralit.api.model;



/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: Dominio do Contrato </b></p>
 *
 * <p><b>Description: Dominios especificos da aplicação do contrato </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 30/04/2015 - 14:18:33
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
public class DominioContrato {

	// TIPO_EVENTO_CONTRATO_CHAVE
	public static final String TIPO_EVENTO_CONTRATO = "tipoEventoContrato";

	// TIPO_EVENTO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_EVENTO_ADITIVO = "Altera\u00e7\u00e3o contratual (aditivo)";
	public static final String DESCRICAO_TIPO_EVENTO_PENALIDADE = "Aplica\u00e7\u00e3o de penalidade";
	public static final String DESCRICAO_TIPO_EVENTO_APOSTILAMENTO = "Apostilamento";
	public static final String DESCRICAO_TIPO_EVENTO_ATUALIZA_STATUS = "Atualiza\u00e7\u00e3o de status";
	public static final String DESCRICAO_TIPO_EVENTO_LIBERA_PAGAMENTO = "Libera\u00e7\u00e3o para pagamento";
	public static final String DESCRICAO_TIPO_EVENTO_EMPENHO = "Registro de empenho";
	public static final String DESCRICAO_TIPO_EVENTO_NAO_CONFORMIDADE = "Registro de n\u00e3o conformidade";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_OBJETO = "Registro de recebimento de objeto";
	public static final String DESCRICAO_TIPO_EVENTO_REPACTUACAO = "Repactua\u00e7\u00e3o";
	public static final String DESCRICAO_TIPO_EVENTO_RESCISAO = "Rescis\u00e3o de Contrato";

	//TIPO_EVENTO_CONTRATO_NOME
	public static final String TIPO_EVENTO_ADITIVO_NOME = "ADITIVO";
	public static final String TIPO_EVENTO_PENALIDADE_NOME = "PENALIDADE";
	public static final String TIPO_EVENTO_APOSTILAMENTO_NOME = "APOSTILAMENTO";
	public static final String TIPO_EVENTO_ATUALIZA_STATUS_NOME = "ATUALIZA_STATUS";
	public static final String TIPO_EVENTO_LIBERA_PAGAMENTO_NOME = "LIBERA_PAGAMENTO";
	public static final String TIPO_EVENTO_EMPENHO_NOME = "EMPENHO";
	public static final String TIPO_EVENTO_NAO_CONFORMIDADE_NOME = "NAO_CONFORMIDADE";
	public static final String TIPO_EVENTO_RECEBIMENTO_OBJETO_NOME = "RECEBIMENTO_OBJETO";
	public static final String TIPO_EVENTO_REPACTUACAO_NOME = "REPACTUACAO";
	public static final String TIPO_EVENTO_RESCISAO_NOME = "RESCISAO";

	// TIPO_EVENTO_CONTRATO_CODIGO
	public static final Long TIPO_EVENTO_ADITIVO = 1L;
	public static final Long TIPO_EVENTO_PENALIDADE = 2L;
	public static final Long TIPO_EVENTO_APOSTILAMENTO = 3L;
	public static final Long TIPO_EVENTO_ATUALIZA_STATUS = 4L;
	public static final Long TIPO_EVENTO_LIBERA_PAGAMENTO = 5L;
	public static final Long TIPO_EVENTO_EMPENHO = 6L;
	public static final Long TIPO_EVENTO_NAO_CONFORMIDADE = 7L;
	public static final Long TIPO_EVENTO_RECEBIMENTO_OBJETO = 8L;
	public static final Long TIPO_EVENTO_REPACTUACAO = 9L;
	public static final Long TIPO_EVENTO_RESCISAO = 10L;

	// Tipos do evento de recebimento de objeto
	public static final String TIPO_EVENTO_CONTRATO_RECEBIMENTO_OBJETO = "tipoEventoContratoRecebimentoObjeto";

	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_PROVISORIO = "Provis\u00f3rio";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_DEFINITIVO = "Definitivo";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_STATUS_RECEBIDO = "Recebido";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_STATUS_DEVOLVIDO = "Devolvido";

	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_PROVISORIO = "PROVISORIO";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_DEFINITIVO = "DEFINITIVO";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_STATUS_RECEBIDO = "RECEBIDO";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_STATUS_DEVOLVIDO = "DEVOLVIDO";

	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_PROVISORIO = 1L;
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_DEFINITIVO = 2l;
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_STATUS_RECEBIDO = 3L;
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_STATUS_DEVOLVIDO = 4l;

	public static final String TIPO_EVENTO_CONTRATO_RECEBIMENTO_OBJETO_AVALIACAO_PRAZO = "tipoEventoContratoRecebimentoObjetoAvaliacaoPrazo";

	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ENTREGA_PRAZO = "Entrega no prazo";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ENTREGA_ATRASO = "Entrega com atraso";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ENTREGA_PRAZO = "ENTREGA_NO_PRAZO";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ENTREGA_ATRASO = "ENTREGA_COM_ATRASO";
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ENTREGA_PRAZO = 1L;
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ENTREGA_ATRASO = 2L;

	public static final String TIPO_EVENTO_CONTRATO_RECEBIMENTO_OBJETO_AVALIACAO_ADESAO = "tipoEventoContratoRecebimentoObjetoAvaliacaoAdesao";

	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ADERENTE = "Aderente aos termos contratuais";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_DESCUMPRIMENTO = "Descumprimento contratual";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_PASSIVEL_CORRECAO = "Pass\u00edvel de corre\u00e7\u00e3o";
	public static final String DESCRICAO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_OUTROS = "Outros";

	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ADERENTE = "ADERENTE_AOS_TERMOS";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_DESCUMPRIMENTO = "DESCUMPRIMENTO_CONTRATUAL";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_PASSIVEL_CORRECAO = "PASSIVEL_CORRECAO";
	public static final String NOME_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_OUTROS = "OUTROS";

	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_ADERENTE = 1L;
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_DESCUMPRIMENTO = 2L;
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_PASSIVEL_CORRECAO = 3L;
	public static final Long CODIGO_TIPO_EVENTO_RECEBIMENTO_AVALIACAO_OUTROS = 4L;
	
	//=====================================================================================================================================
	// TIPO_RESPOSTA_QUESTAO_CHAVE
	public static final String TIPO_RESPOSTA_QUESTAO = "tipoRespostaQuestao";

	/** TIPO_RESPOSTA_QUESTAO_TEXTO. */
	public static final String TIPO_RESPOSTA_QUESTAO_TEXTO = "TEXTO_LIVRE";

	/** Atributo TIPO_RESPOSTA_QUESTAO_TEXTO_CODIGO. */
	public static final Long TIPO_RESPOSTA_QUESTAO_TEXTO_CODIGO = 1L;

	/** Atributo TIPO_RESPOSTA_QUESTAO_MULTIPLA_ESCOLHA. */
	public static final String TIPO_RESPOSTA_QUESTAO_MULTIPLA_ESCOLHA = "MULTIPLA_ESCOLHA";

	/** Atributo TIPO_RESPOSTA_QUESTAO_MULTIPLA_ESCOLHA_CODIGO. */
	public static final Long TIPO_RESPOSTA_QUESTAO_MULTIPLA_ESCOLHA_CODIGO = 2L;

	/** Atributo TIPO_RESPOSTA_QUESTAO_BOOLEAN. */
	public static final String TIPO_RESPOSTA_QUESTAO_BOOLEAN = "BOOLEAN";

	/** Atributo TIPO_RESPOSTA_QUESTAO_BOOLEAN_CODIGO. */
	public static final Long TIPO_RESPOSTA_QUESTAO_BOOLEAN_CODIGO = 3L;

	/** Atributo TIPO_RESPOSTA_QUESTAO_UNICA_ESCOLHA. */
	public static final String TIPO_RESPOSTA_QUESTAO_UNICA_ESCOLHA = "UNICA_ESCOLHA";

	/** Atributo TIPO_RESPOSTA_QUESTAO_UNICA_ESCOLHA_CODIGO. */
	public static final Long TIPO_RESPOSTA_QUESTAO_UNICA_ESCOLHA_CODIGO = 4L;

	/** Atributo TIPO_QUESTIONARIO. Chave */
	public static final String TIPO_QUESTIONARIO = "tipoQuestionario";

	/** Atributo TIPO_QUESTIONARIO_GERAL. */
	public static final String TIPO_QUESTIONARIO_GERAL = "GERAL";

	/** Atributo TIPO_QUESTIONARIO_GERAL_CODIGO. */
	public static final Long TIPO_QUESTIONARIO_GERAL_CODIGO = 1L;

	/** Atributo TIPO_QUESTIONARIO_ANALISE_SOLUCAO. */
	public static final String TIPO_QUESTIONARIO_ANALISE_SOLUCAO = "ANALISE_SOLUCAO";

	/** Atributo TIPO_QUESTIONARIO_ANALISE_SOLUCAO_CODIGO. */
	public static final Long TIPO_QUESTIONARIO_ANALISE_SOLUCAO_CODIGO = 2L;

	/** Atributo TIPO_SITUACAO_ORDEM_FORNECIMENTO. */
	public static final String TIPO_SITUACAO_ORDEM_FORNECIMENTO = "tipoSituacaoOrdemFornecimento";

	/** Atributo TIPO_SITUACAO_OF_EM_ANDAMENTO. */
	public static final String TIPO_SITUACAO_OF_EM_ANDAMENTO = "EM_ANDAMENTO";

	/** Atributo TIPO_SITUACAO_OF_EM_ANDAMENTO_CODIGO. */
	public static final Long TIPO_SITUACAO_OF_EM_ANDAMENTO_CODIGO = 1L;

	/** Atributo TIPO_SITUACAO_OF_FINALIZADO. */
	public static final String TIPO_SITUACAO_OF_FINALIZADO = "FINALIZADO";

	/** Atributo TIPO_SITUACAO_OF_FINALIZADO_CODIGO. */
	public static final Long TIPO_SITUACAO_OF_FINALIZADO_CODIGO = 2L;

	//=====================================================================================================================================

	// TIPO_PAPEL_ENVOLVIDO_CONTRATO_CHAVE
	public static final String TIPO_PAPEL_ENVOLVIDO_CONTRATO = "tipoPapelEnvolvidoContrato";

	//TIPO_PAPEL_ENVOLVIDO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_GESTOR = "Gestor";
	public static final String DESCRICAO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_GESTOR_SUBSTITUTO = "Gestor Substituto";
	public static final String DESCRICAO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_TECNICO= "Fiscal Técnico";
	public static final String DESCRICAO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_ADMINISTRATIVO = "Fiscal Administrativo";
	public static final String DESCRICAO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_SOLICITANTE = "Fiscal Solicitante";
	public static final String DESCRICAO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_PREPOSTO = "Preposto";

	//TIPO_PAPEL_ENVOLVIDO_CONTRATO_NOME
	public static final String NOME_TIPO_PAPEL_ENVOLVIDO_CONTRATO_GESTOR = "GESTOR";
	public static final String NOME_TIPO_PAPEL_ENVOLVIDO_CONTRATO_GESTOR_SUBSTITUTO = "GESTOR_SUBSTITUTO";
	public static final String NOME_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_TECNICO = "FISCAL_TECNICO";
	public static final String NOME_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_ADMINISTRATIVO = "FISCAL_ADMINISTRATIVO";
	public static final String NOME_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_SOLICITANTE = "FISCAL_SOLICITANTE";
	public static final String NOME_TIPO_PAPEL_ENVOLVIDO_CONTRATO_PREPOSTO = "PREPOSTO";

	//TIPO_PAPEL_ENVOLVIDO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_GESTOR = 1L;
	public static final Long CODIGO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_GESTOR_SUBSTITUTO = 2L;
	public static final Long CODIGO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_TECNICO = 3L;
	public static final Long CODIGO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_ADMINISTRATIVO = 4L;
	public static final Long CODIGO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_FISCAL_SOLICITANTE = 5L;
	public static final Long CODIGO_TIPO_PAPEL_ENVOLVIDO_CONTRATO_PREPOSTO = 6L;

	//=====================================================================================================================================

	/** TIPO_CONTRATO_CHAVE */
	public static final String TIPO_CONTRATO = "tipoContrato";

	//TIPO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_CONTRATO_ADMINISTRATIVO = "Adminstrativo";
	public static final String DESCRICAO_TIPO_CONTRATO_POR_EMPENHO = "Por Empenho";
	public static final String DESCRICAO_TIPO_CONTRATO_DISPENSA = "Dispensa";
	public static final String DESCRICAO_TIPO_CONTRATO_INEXIGIBILIDADE = "Inexigibilidade";

	//TIPO_CONTRATO_NOME
	public static final String NOME_TIPO_CONTRATO_ADMINISTRATIVO = "ADMINISTRATIVO";
	public static final String NOME_TIPO_CONTRATO_POR_EMPENHO = "POR_EMPENHO";
	public static final String NOME_TIPO_CONTRATO_DISPENSA = "DISPENSA";
	public static final String NOME_TIPO_CONTRATO_INEXIGIBILIDADE = "INEXIGIBILIDADE";

	//_CODIGO
	public static final Long CODIGO_TIPO_CONTRATO_ADMINISTRATIVO = 1L;
	public static final Long CODIGO_TIPO_CONTRATO_POR_EMPENHO = 2L;
	public static final Long CODIGO_TIPO_CONTRATO_DISPENSA = 3L;
	public static final Long CODIGO_TIPO_CONTRATO_INEXIGIBILIDADE = 4L;

	//=====================================================================================================================================

	// TIPO_AQUISICAO_CONTRATO_CHAVE
	public static final String TIPO_AQUISICAO_CONTRATO = "tipoAquisicaoContrato";

	// TIPO_AQUISICAO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_AQUISICAO_CONTRATO_SERVICO = "Serviço";
	public static final String DESCRICAO_TIPO_AQUISICAO_CONTRATO_MATERIAL = "Material";
	public static final String DESCRICAO_TIPO_AQUISICAO_CONTRATO_MATERIAL_SERVICO = "Material e serviço";

	// TIPO_AQUISICAO_CONTRATO_NOME
	public static final String NOME_TIPO_AQUISICAO_CONTRATO_SERVICO = "SERVICO";
	public static final String NOME_TIPO_AQUISICAO_CONTRATO_MATERIAL = "MATERIAL";
	public static final String NOME_TIPO_AQUISICAO_CONTRATO_MATERIAL_SERVICO = "MATERIAL_SERVICO";

	// TIPO_AQUISICAO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_AQUISICAO_CONTRATO_SERVICO = 1L;
	public static final Long CODIGO_TIPO_AQUISICAO_CONTRATO_MATERIAL = 2L;
	public static final Long CODIGO_TIPO_AQUISICAO_CONTRATO_MATERIAL_SERVICO = 3L;

	//=====================================================================================================================================

	// TIPO_FORMA_PAGAMENTO_CONTRATO_CHAVE
	public static final String TIPO_FORMA_PAGAMENTO_CONTRATO = "tipoFormaPagamentoContrato";

	// TIPO_AQUISICAO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_FORMA_PAGAMENTO_CONTRATO_UNICO = "Único";
	public static final String DESCRICAO_TIPO_FORMA_PAGAMENTO_CONTRATO_PARCELADO = "Parcelado";
	public static final String DESCRICAO_TIPO_FORMA_PAGAMENTO_CONTRATO_SOB_DEMANDA = "Sob demanda";

	// TIPO_AQUISICAO_CONTRATO_NOME
	public static final String NOME_TIPO_FORMA_PAGAMENTO_CONTRATO_UNICO = "UNICO";
	public static final String NOME_TIPO_FORMA_PAGAMENTO_CONTRATO_PARCELADO = "PARCELADO";
	public static final String NOME_TIPO_FORMA_PAGAMENTO_CONTRATO_SOB_DEMANDA = "SOB_DEMANDA";

	// TIPO_AQUISICAO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_FORMA_PAGAMENTO_CONTRATO_UNICO = 1L;
	public static final Long CODIGO_TIPO_FORMA_PAGAMENTO_CONTRATO_PARCELADO = 2L;
	public static final Long CODIGO_TIPO_FORMA_PAGAMENTO_CONTRATO_SOB_DEMANDA = 3L;


	//=====================================================================================================================================

	// TIPO_FINALIDADE_EMPENHO_CONTRATO_CHAVE
	public static final String TIPO_FINALIDADE_EMPENHO_CONTRATO = "tipoFinalidadeEmpenhoContrato";

	// TIPO_FINALIDADE_EMPENHO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_FINALIDADE_EMPENHO_CONTRATO_DESPESA_CONTRATO = "Despesa Contrato";
	public static final String DESCRICAO_TIPO_FINALIDADE_EMPENHO_CONTRATO_REFORCO = "Reforço";
	public static final String DESCRICAO_TIPO_FINALIDADE_EMPENHO_CONTRATO_ANULACAO = "Anulação";

	// TIPO_FINALIDADE_EMPENHO_CONTRATO_NOME
	public static final String NOME_TIPO_FINALIDADE_EMPENHO_CONTRATO_DESPESA_CONTRATO = "DESPESA_CONTRATO";
	public static final String NOME_TIPO_FINALIDADE_EMPENHO_CONTRATO_REFORCO = "REFORCO";
	public static final String NOME_TIPO_FINALIDADE_EMPENHO_CONTRATO_ANULACAO = "ANULACAO";

	// TIPO_FINALIDADE_EMPENHO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_FINALIDADE_EMPENHO_CONTRATO_DESPESA_CONTRATO = 1L;
	public static final Long CODIGO_TIPO_FINALIDADE_EMPENHO_CONTRATO_REFORCO = 2L;
	public static final Long CODIGO_TIPO_FINALIDADE_EMPENHO_CONTRATO_ANULACAO = 3L;

	//=====================================================================================================================================

	// TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_CHAVE
	public static final String TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO = "tipoCategoriaEconomicaEmpenhoContrato";

	// TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_DESPESA_CORRENTE = "Despesa Corrente";
	public static final String DESCRICAO_TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_DESPESA_CAPITAL = "Despesa de Capital";

	// TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_NOME
	public static final String NOME_TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_DESPESA_CORRENTE = "DESPESA_CORRENTE";
	public static final String NOME_TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_DESPESA_CAPITAL = "DESPESA_CAPITAL";

	// TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_DESPESA_CORRENTE = 1L;
	public static final Long CODIGO_TIPO_CATEGORIA_ECONOMICA_EMPENHO_CONTRATO_DESPESA_CAPITAL = 2L;

	//=====================================================================================================================================

	// TIPO_MODALIDADE_LICITACAO_CONTRATO_CHAVE
	public static final String TIPO_MODALIDADE_LICITACAO_CONTRATO = "tipoModalidadeLicitacaoContrato";

	// TIPO_MODALIDADE_LICITACAO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_MODALIDADE_LICITACAO_CONTRATO_PREGAO = "Pregão";
	public static final String DESCRICAO_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONCURSO = "Concurso";
	public static final String DESCRICAO_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONCORRENCIA = "Concorrência";
	public static final String DESCRICAO_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONVITE = "Convite";
	public static final String DESCRICAO_TIPO_MODALIDADE_LICITACAO_CONTRATO_TOMADA_PRECO = "Tomada de Preço";
	public static final String DESCRICAO_TIPO_MODALIDADE_LICITACAO_CONTRATO_LEILAO = "Leilão";

	// TIPO_MODALIDADE_LICITACAO_CONTRATO_NOME
	public static final String NOME_TIPO_MODALIDADE_LICITACAO_CONTRATO_PREGAO = "PREGAO";
	public static final String NOME_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONCURSO = "CONCURSO";
	public static final String NOME_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONCORRENCIA = "CONCORRENCIA";
	public static final String NOME_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONVITE = "CONVITE";
	public static final String NOME_TIPO_MODALIDADE_LICITACAO_CONTRATO_TOMADA_PRECO = "TOMADA_PRECO";
	public static final String NOME_TIPO_MODALIDADE_LICITACAO_CONTRATO_LEILAO = "LEILAO";

	// TIPO_MODALIDADE_LICITACAO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_MODALIDADE_LICITACAO_CONTRATO_PREGAO = 1L;
	public static final Long CODIGO_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONCURSO = 2L;
	public static final Long CODIGO_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONCORRENCIA= 3L;
	public static final Long CODIGO_TIPO_MODALIDADE_LICITACAO_CONTRATO_CONVITE = 4L;
	public static final Long CODIGO_TIPO_MODALIDADE_LICITACAO_CONTRATO_TOMADA_PRECO = 5L;
	public static final Long CODIGO_TIPO_MODALIDADE_LICITACAO_CONTRATO_LEILAO = 6L;

	//=====================================================================================================================================

	// Constante TIPO_LICITACAO_CONTRATO_CHAVE
	public static final String TIPO_LICITACAO_CONTRATO = "tipoLicitacaoContrato";

	// Constante TIPO_LICITACAO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_LICITACAO_CONTRATO_MENOR_PRECO = "Menor preço";
	public static final String DESCRICAO_TIPO_LICITACAO_CONTRATO_MELHOR_TECNICA = "Melhor técnica";
	public static final String DESCRICAO_TIPO_LICITACAO_CONTRATO_TECNICA_PRECO = "Técnica e Preço";
	public static final String DESCRICAO_TIPO_LICITACAO_CONTRATO_MAIOR_LANCE_OFERTA = "Maior lance ou oferta";

	// Constante TIPO_LICITACAO_CONTRATO_NOME
	public static final String NOME_TIPO_LICITACAO_CONTRATO_MENOR_PRECO = "MENOR_PRECO";
	public static final String NOME_TIPO_LICITACAO_CONTRATO_MELHOR_TECNICA = "MELHOR_TECNICA";
	public static final String NOME_TIPO_LICITACAO_CONTRATO_TECNICA_PRECO = "TECNICA_PRECO";
	public static final String NOME_TIPO_LICITACAO_CONTRATO_MAIOR_LANCE_OFERTA = "MAIOR_LANCE_OFERTA";

	// Constante TIPO_LICITACAO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_LICITACAO_CONTRATO_MENOR_PRECO = 1L;
	public static final Long CODIGO_TIPO_LICITACAO_CONTRATO_MELHOR_TECNICA = 2L;
	public static final Long CODIGO_TIPO_LICITACAO_CONTRATO_TECNICA_PRECO = 3L;
	public static final Long CODIGO_TIPO_LICITACAO_CONTRATO_MAIOR_LANCE_OFERTA = 4L;

	//=====================================================================================================================================

	// TIPO_MODALIDADE_GARANTIA_CONTRATO_CHAVE
	public static final String TIPO_MODALIDADE_GARANTIA_CONTRATO = "tipoModalidadeGarantiaContrato";

	// TIPO_MODALIDADE_GARANTIA_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_MODALIDADE_GARANTIA_CONTRATO_SEGURO_GARANTIA = "Seguro-garantia";
	public static final String DESCRICAO_TIPO_MODALIDADE_GARANTIA_CONTRATO_CAUCAO_DINHEIRO_TITULO_DIVIDA_PUBLICA = "Caução em dinheiro ou títulos da dívida pública";
	public static final String DESCRICAO_TIPO_MODALIDADE_GARANTIA_CONTRATO_FIANCA_BANCARIA = "Fiança bancária";

	// TIPO_MODALIDADE_GARANTIA_CONTRATO_NOME
	public static final String NOME_TIPO_MODALIDADE_GARANTIA_CONTRATO_SEGURO_GARANTIA = "SEGURO_GARANTIA";
	public static final String NOME_TIPO_MODALIDADE_GARANTIA_CONTRATO_CAUCAO_DINHEIRO_TITULO_DIVIDA_PUBLICA = "CAUCAO_DINHEIRO_TITULO_DIVIDA_PUBLICA";
	public static final String NOME_TIPO_MODALIDADE_GARANTIA_CONTRATO_FIANCA_BANCARIA = "FIANCA_BANCARIA";

	// TIPO_MODALIDADE_GARANTIA_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_MODALIDADE_GARANTIA_CONTRATO_SEGURO_GARANTIA = 1L;
	public static final Long CODIGO_TIPO_MODALIDADE_GARANTIA_CONTRATO_CAUCAO_DINHEIRO_TITULO_DIVIDA_PUBLICA = 2L;
	public static final Long CODIGO_TIPO_MODALIDADE_GARANTIA_CONTRATO_FIANCA_BANCARIA = 3L;

	//=====================================================================================================================================

	// TIPO_SITUACAO_CONTRATO_CHAVE
	public static final String TIPO_SITUACAO_CONTRATO = "tipoSituacaoContrato";

	// TIPO_SITUACAO_CONTRATO_DESCRICAO
	public static final String DESCRICAO_TIPO_SITUACAO_CONTRATO_VIGENTE = "Vigente";
	public static final String DESCRICAO_TIPO_SITUACAO_CONTRATO_ENCERRADO = "Encerrado";
	public static final String DESCRICAO_TIPO_SITUACAO_CONTRATO_SUSPENSO = "Suspenso";
	public static final String DESCRICAO_TIPO_SITUACAO_CONTRATO_RESCINDIDO = "Rescindido";

	// TIPO_SITUACAO_CONTRATO_NOME
	public static final String NOME_TIPO_SITUACAO_CONTRATO_VIGENTE = "VIGENTE";
	public static final String NOME_TIPO_SITUACAO_CONTRATO_ENCERRADO = "ENCERRADO";
	public static final String NOME_TIPO_SITUACAO_CONTRATO_SUSPENSO = "SUSPENSO";
	public static final String NOME_TIPO_SITUACAO_CONTRATO_RESCINDIDO = "RESCINDIDO";

	// TIPO_SITUACAO_CONTRATO_CODIGO
	public static final Long CODIGO_TIPO_SITUACAO_CONTRATO_VIGENTE = 1L;
	public static final Long CODIGO_TIPO_SITUACAO_CONTRATO_ENCERRADO = 2L;
	public static final Long CODIGO_TIPO_SITUACAO_CONTRATO_SUSPENSO = 3L;
	public static final Long CODIGO_TIPO_SITUACAO_CONTRATO_RESCINDIDO = 4L;

	/** Constante TIPO_ALTERACAO_CONTRATO. Chave */
	public static final String TIPO_ALTERACAO_CONTRATO = "tipoAlteracaoContrato";

	public static final String DESCRICAO_TIPO_ALTERACAO_CONTRATO_UNILATERAL = "Unilateral pela Administração";
	public static final String DESCRICAO_TIPO_ALTERACAO_CONTRATO_ACORDO = "Por acordo das partes";

	public static final String NOME_TIPO_ALTERACAO_CONTRATO_UNILATERAL = "UNILATERAL";
	public static final String NOME_TIPO_ALTERACAO_CONTRATO_ACORDO = "ACORDO";

	public static final Long CODIGO_TIPO_ALTERACAO_CONTRATO_UNILATERAL = 1L;
	public static final Long CODIGO_TIPO_ALTERACAO_CONTRATO_ACORDO = 2L;

	/** Constante TIPO_ALTERACAO_VALOR. Chave */
	public static final String TIPO_ALTERACAO_VALOR = "tipoAlteracaoValor";

	public static final String DESCRICAO_TIPO_ALTERACAO_VALOR_ACRESCIMO = "Acréscimo";
	public static final String DESCRICAO_TIPO_ALTERACAO_VALOR_SUPRESSAO = "Supressão";

	public static final String NOME_TIPO_ALTERACAO_VALOR_ACRESCIMO = "ACRESCIMO";
	public static final String NOME_TIPO_ALTERACAO_VALOR_SUPRESSAO = "SUPRESSAO";

	public static final Long CODIGO_TIPO_ALTERACAO_VALOR_ACRESCIMO = 1L;
	public static final Long CODIGO_TIPO_ALTERACAO_VALOR_SUPRESSAO = 2L;

	/** Constante TIPO_OBJETO. Chave */
	public static final String TIPO_OBJETO = "tipoObjeto";

	public static final String DESCRICAO_TIPO_OBJETO_OBRAS_SERVICOS_COMPRAS = "Obras, serviços ou compras";
	public static final String DESCRICAO_TIPO_OBJETO_REFORMA_IMOVEIS_EQUIPAMENTOS = "Reforma de edifícios (Imóveis) ou de equipamentos";

	public static final String NOME_TIPO_OBJETO_OBRAS_SERVICOS_COMPRAS = "OBRAS_SERVICOS_COMPRAS";
	public static final String NOME_TIPO_OBJETO_REFORMA_IMOVEIS_EQUIPAMENTOS = "REFORMA_IMOVEIS_EQUIPAMENTOS";

	public static final Long CODIGO_TIPO_OBJETO_OBRAS_SERVICOS_COMPRAS = 1L;
	public static final Long CODIGO_TIPO_OBJETO_REFORMA_IMOVEIS_EQUIPAMENTOS = 2L;

	public static final String RESCISAO_CONTRATO = "tipoRescisaoContrato";
	public static final Long CODIGO_RESCISAO_UNILATERAL_ADM = 1L;
	public static final Long CODIGO_RESCISAO_ACORDO_PARTE = 2L;

}
