package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 05/01/2016 - 16:33:02
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
@Audited
@AuditTable(value = "cnt_et_documento_aud")
@Entity
@Table(name="cnt_et_documento")
public class EstudoTecnicoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo estudoTecnico. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EstudoTecnico estudoTecnico;

	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EstudoTecnico estudoTecnicoInativo;


	/**
	 * Retorna o valor do atributo <code>estudoTecnico</code>
	 *
	 * @return <code>EstudoTecnico</code>
	 */
	public EstudoTecnico getEstudoTecnico() {

		return estudoTecnico;
	}


	/**
	 * Define o valor do atributo <code>estudoTecnico</code>.
	 *
	 * @param estudoTecnico
	 */
	public void setEstudoTecnico(EstudoTecnico estudoTecnico) {

		this.estudoTecnico = estudoTecnico;
	}


	/**
	 * Retorna o valor do atributo <code>estudoTecnicoInativo</code>
	 *
	 * @return <code>EstudoTecnico</code>
	 */
	public EstudoTecnico getEstudoTecnicoInativo() {

		return estudoTecnicoInativo;
	}


	/**
	 * Define o valor do atributo <code>estudoTecnicoInativo</code>.
	 *
	 * @param estudoTecnicoInativo
	 */
	public void setEstudoTecnicoInativo(EstudoTecnico estudoTecnicoInativo) {

		this.estudoTecnicoInativo = estudoTecnicoInativo;
	}

}
