package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 09/03/2016 - 18:54:04
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_ad_documento_aud")
@Entity
@Table(name="cnt_ad_documento")
public class EventoAditivoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoAditivo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoAditivo eventoAditivo;

	/** Atributo eventoAditivoInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoAditivo eventoAditivoInativo;

	
	/**
	 * Retorna o valor do atributo <code>eventoAditivo</code>
	 *
	 * @return <code>EventoAditivo</code>
	 */
	public EventoAditivo getEventoAditivo() {
	
		return eventoAditivo;
	}

	
	/**
	 * Define o valor do atributo <code>eventoAditivo</code>.
	 *
	 * @param eventoAditivo 
	 */
	public void setEventoAditivo(EventoAditivo eventoAditivo) {
	
		this.eventoAditivo = eventoAditivo;
	}

	
	/**
	 * Retorna o valor do atributo <code>eventoAditivoInativo</code>
	 *
	 * @return <code>EventoAditivo</code>
	 */
	public EventoAditivo getEventoAditivoInativo() {
	
		return eventoAditivoInativo;
	}

	
	/**
	 * Define o valor do atributo <code>eventoAditivoInativo</code>.
	 *
	 * @param eventoAditivoInativo 
	 */
	public void setEventoAditivoInativo(EventoAditivo eventoAditivoInativo) {
	
		this.eventoAditivoInativo = eventoAditivoInativo;
	}

	
}
