package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;


/**
 *
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 09/03/2016 - 18:54:29
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_ap_documento_aud")
@Entity
@Table(name="cnt_ap_documento")
@JsonIgnoreProperties({ "uploadsDocumento", "$uuid", "$checked", "$index", "size", "name", "$error" })
public class EventoApostilamentoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoApostilamento. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoApostilamento eventoApostilamento;

	/** Atributo eventoApostilamentoInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoApostilamento eventoApostilamentoInativo;


	/**
	 * Retorna o valor do atributo <code>eventoApostilamento</code>
	 *
	 * @return <code>EventoApostilamento</code>
	 */
	public EventoApostilamento getEventoApostilamento() {

		return eventoApostilamento;
	}


	/**
	 * Define o valor do atributo <code>eventoApostilamento</code>.
	 *
	 * @param eventoApostilamento
	 */
	public void setEventoApostilamento(EventoApostilamento eventoApostilamento) {

		this.eventoApostilamento = eventoApostilamento;
	}


	/**
	 * Retorna o valor do atributo <code>eventoApostilamentoInativo</code>
	 *
	 * @return <code>EventoApostilamento</code>
	 */
	public EventoApostilamento getEventoApostilamentoInativo() {

		return eventoApostilamentoInativo;
	}


	/**
	 * Define o valor do atributo <code>eventoApostilamentoInativo</code>.
	 *
	 * @param eventoApostilamentoInativo
	 */
	public void setEventoApostilamentoInativo(EventoApostilamento eventoApostilamentoInativo) {

		this.eventoApostilamentoInativo = eventoApostilamentoInativo;
	}

}
