package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 09/03/2016 - 18:51:39
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_as_documento_aud")
@Entity
@Table(name="cnt_as_documento")
public class EventoAtualizacaoStatusDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoAtualizacaoStatus. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoAtualizacaoStatus eventoAtualizacaoStatus;

	/** Atributo eventoAtualizacaoStatusInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	@JoinColumn(name = "evatualizacaostatusinativo_id")
	private EventoAtualizacaoStatus eventoAtualizacaoStatusInativo;

	
	/**
	 * Retorna o valor do atributo <code>eventoAtualizacaoStatus</code>
	 *
	 * @return <code>EventoAtualizacaoStatus</code>
	 */
	public EventoAtualizacaoStatus getEventoAtualizacaoStatus() {
	
		return eventoAtualizacaoStatus;
	}

	
	/**
	 * Define o valor do atributo <code>eventoAtualizacaoStatus</code>.
	 *
	 * @param eventoAtualizacaoStatus 
	 */
	public void setEventoAtualizacaoStatus(EventoAtualizacaoStatus eventoAtualizacaoStatus) {
	
		this.eventoAtualizacaoStatus = eventoAtualizacaoStatus;
	}

	
	/**
	 * Retorna o valor do atributo <code>eventoAtualizacaoStatusInativo</code>
	 *
	 * @return <code>EventoAtualizacaoStatus</code>
	 */
	public EventoAtualizacaoStatus getEventoAtualizacaoStatusInativo() {
	
		return eventoAtualizacaoStatusInativo;
	}

	
	/**
	 * Define o valor do atributo <code>eventoAtualizacaoStatusInativo</code>.
	 *
	 * @param eventoAtualizacaoStatusInativo 
	 */
	public void setEventoAtualizacaoStatusInativo(EventoAtualizacaoStatus eventoAtualizacaoStatusInativo) {
	
		this.eventoAtualizacaoStatusInativo = eventoAtualizacaoStatusInativo;
	}
	
}
