package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governan&ccedil;a Corporativa -
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * @version 1.0.0
 *
 * @author erick.sato
 *
 */
@Entity
@Table(name = "cnt_lp_observacao")
public class EventoLiberacaoPagamentoObservacao extends Observacao {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private EventoLiberacaoPagamento liberacaoPagamento;

	public EventoLiberacaoPagamento getLiberacaoPagamento() {
		return liberacaoPagamento;
	}

	public void setLiberacaoPagamento(EventoLiberacaoPagamento liberacaoPagamento) {
		this.liberacaoPagamento = liberacaoPagamento;
	}

}
