package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

/**
 *
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 09/03/2016 - 18:54:04
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_ev_ro_documento_aud")
@Entity
@Table(name = "cnt_ev_ro_documento")
public class EventoRecebimentoObjetoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoRecebimentoObjeto. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoRecebimentoObjeto eventoRecebimentoObjeto;

	/** Atributo eventoRecebimentoObjetoInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	@JoinColumn(name = "evrecebimentoobjetoinativo_id")
	private EventoRecebimentoObjeto eventoRecebimentoObjetoInativo;

	/**
	 * Retorna o valor do atributo <code>eventoRecebimentoObjeto</code>
	 *
	 * @return <code>EventoRecebimentoObjeto</code>
	 */
	public EventoRecebimentoObjeto getEventoRecebimentoObjeto() {

		return eventoRecebimentoObjeto;
	}

	/**
	 * Define o valor do atributo <code>eventoRecebimentoObjeto</code>.
	 *
	 * @param eventoRecebimentoObjeto
	 */
	public void setEventoRecebimentoObjeto(EventoRecebimentoObjeto eventoRecebimentoObjeto) {

		this.eventoRecebimentoObjeto = eventoRecebimentoObjeto;
	}

	/**
	 * Retorna o valor do atributo <code>eventoRecebimentoObjetoInativo</code>
	 *
	 * @return <code>EventoRecebimentoObjeto</code>
	 */
	public EventoRecebimentoObjeto getEventoRecebimentoObjetoInativo() {

		return eventoRecebimentoObjetoInativo;
	}

	/**
	 * Define o valor do atributo <code>eventoRecebimentoObjetoInativo</code>.
	 *
	 * @param eventoRecebimentoObjetoInativo
	 */
	public void setEventoRecebimentoObjetoInativo(EventoRecebimentoObjeto eventoRecebimentoObjetoInativo) {

		this.eventoRecebimentoObjetoInativo = eventoRecebimentoObjetoInativo;
	}

}
