package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 09/03/2016 - 18:54:04
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_nc_empenho_aud")
@Entity
@Table(name="cnt_nc_documento")
public class EventoRegistroNaoConformidadeDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoRegistroNaoConformidade. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	@JoinColumn(name = "evregnaoconformidade_id")
	private EventoRegistroNaoConformidade eventoRegistroNaoConformidade;

	/** Atributo eventoRegistroNaoConformidadeInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	@JoinColumn(name = "evregnaoconformidadeinativo_id")
	private EventoRegistroNaoConformidade eventoRegistroNaoConformidadeInativo;

	
	/**
	 * Retorna o valor do atributo <code>eventoRegistroNaoConformidade</code>
	 *
	 * @return <code>EventoRegistroNaoConformidade</code>
	 */
	public EventoRegistroNaoConformidade getEventoRegistroNaoConformidade() {
	
		return eventoRegistroNaoConformidade;
	}

	
	/**
	 * Define o valor do atributo <code>eventoRegistroNaoConformidade</code>.
	 *
	 * @param eventoRegistroNaoConformidade 
	 */
	public void setEventoRegistroNaoConformidade(EventoRegistroNaoConformidade eventoRegistroNaoConformidade) {
	
		this.eventoRegistroNaoConformidade = eventoRegistroNaoConformidade;
	}

	
	/**
	 * Retorna o valor do atributo <code>eventoRegistroNaoConformidadeInativo</code>
	 *
	 * @return <code>EventoRegistroNaoConformidade</code>
	 */
	public EventoRegistroNaoConformidade getEventoRegistroNaoConformidadeInativo() {
	
		return eventoRegistroNaoConformidadeInativo;
	}

	
	/**
	 * Define o valor do atributo <code>eventoRegistroNaoConformidadeInativo</code>.
	 *
	 * @param eventoRegistroNaoConformidadeInativo 
	 */
	public void setEventoRegistroNaoConformidadeInativo(EventoRegistroNaoConformidade eventoRegistroNaoConformidadeInativo) {
	
		this.eventoRegistroNaoConformidadeInativo = eventoRegistroNaoConformidadeInativo;
	}
	
}
