package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governan&ccedil;a Corporativa -
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * @since 24/02/2016 - 08:39:42
 *
 * @version 1.0.0
 *
 * @author erick.sato
 *
 */
@Entity
@Table(name="cnt_n_observacao")
public class NotificacaoContratoObservacao extends Observacao {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private NotificacaoContrato notificacaoContrato;

	public NotificacaoContrato getNotificacaoContrato() {
		return notificacaoContrato;
	}

	public void setNotificacaoContrato(NotificacaoContrato notificacaoContrato) {
		this.notificacaoContrato = notificacaoContrato;
	}

}
