package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 03/02/2016 - 15:40:41
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Entity
@Table(name="cnt_of_observacao")
public class OrdemFornecimentoObservacao extends Observacao {
	
	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = -1384900893984835250L;

	/** Atributo contrato. */
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private OrdemFornecimento ordemFornecimento;

	
	/**
	 * Retorna o valor do atributo <code>ordemFornecimento</code>
	 *
	 * @return <code>OrdemFornecimento</code>
	 */
	public OrdemFornecimento getOrdemFornecimento() {
	
		return ordemFornecimento;
	}

	
	/**
	 * Define o valor do atributo <code>ordemFornecimento</code>.
	 *
	 * @param ordemFornecimento 
	 */
	public void setOrdemFornecimento(OrdemFornecimento ordemFornecimento) {
	
		this.ordemFornecimento = ordemFornecimento;
	}

}
