package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governan&ccedil;a Corporativa -
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * @since 15/02/2016 - 14:20:06
 * @version 1.0.0
 * @author ciro.junior (<a href="mailto:ciro.junior@centralit.com.br">ciro.junior@centralit.com.br</a>)
 *
 */
@Entity
@Table(name="cnt_ro_observacao")
public class RegistroOcorrenciaObservacao extends Observacao {

	private static final long serialVersionUID = -1766109832362303118L;

	/** Atributo contrato. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private RegistroOcorrencia registroOcorrencia;

	public RegistroOcorrencia getRegistroOcorrencia() {

		return registroOcorrencia;
	}

	public void setRegistroOcorrencia(RegistroOcorrencia registroOcorrencia) {

		this.registroOcorrencia = registroOcorrencia;
	}

}
