package br.com.centralit.api.service;

import java.sql.Connection;
import java.util.Collection;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import br.com.centralit.api.model.EventoAditivo;
import br.com.centralit.framework.model.Usuario;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface EventoAditivoService extends GenericService<EventoAditivo, Long> {

	/**
	 *
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
	 *
	 * Método responsável por
	 *
	 * @author geovane.filho
	 *
	 * @param contratoId
	 * @return
	 */
	Collection<EventoAditivo> findAllByContrato(Long contratoId);

	JasperPrint getJasperPrintAditivo(Long idAditivo, Connection conn, Usuario user, String titulo) throws JRException;

	Boolean permiteExclusaoAditivo(Long idAditivo);

	Boolean existeAditivoPrazoPosterior(Long idAditivo);
}
