package br.com.centralit.api.service;

import java.math.BigDecimal;
import java.sql.Connection;
import java.util.Date;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import br.com.centralit.api.model.EventoLiberacaoPagamento;
import br.com.centralit.framework.model.Usuario;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface EventoLiberacaoPagamentoService extends GenericService<EventoLiberacaoPagamento, Long> {

	BigDecimal getValorTotalLiberado(Long contratoId);

	JasperPrint getJasperPrintRelatorioLiberacaoPagamento(Long idContrato, Date dataInicial, Date dataFinal, 
			Connection conn, Usuario usuarioLogado, String titulo) throws JRException;

}
