package br.com.centralit.api.service;

import java.sql.Connection;
import java.util.Date;
import java.util.List;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import br.com.centralit.api.model.EventoRegistroNaoConformidade;
import br.com.centralit.framework.model.Usuario;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface EventoRegistroNaoConformidadeService extends GenericService<EventoRegistroNaoConformidade, Long> {

	List<String> aplicacoesNaoConformidadeContrato(Long idContrato);

	Boolean existeVinculoSancoesComNaoConformidade(Long sancaoId);

	JasperPrint getJasperPrintRelatorioRegistroNaoConformidade(Long idContrato, Date dataInicial, Date dataFinal, 
			Connection conn, Usuario usuarioLogado, String titulo) throws JRException;

}
