package br.com.centralit.api.service;

import java.sql.Connection;

import javax.servlet.http.HttpServletResponse;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import br.com.centralit.api.model.EventoRescisaoContrato;
import br.com.centralit.framework.model.Usuario;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface EventoRescisaoContratoService extends GenericService<EventoRescisaoContrato, Long> {

	void gerarPdfTermo(Long idRescisaoContrato, boolean download,HttpServletResponse response);

	JasperPrint getJasperPrintRescisao(Long id, Connection conn, Usuario usuarioLogado, String titulo) throws JRException;

}
