package br.com.centralit.api.service;

import java.util.Collection;

import br.com.centralit.api.model.ObjetivoEstrategico;
import br.com.centralit.api.model.ObjetivoEstrategicoNecessidade;
import br.com.centralit.framework.service.arquitetura.GenericService;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 08/01/2016 - 12:06:00
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public interface ObjetivoEstrategicoNecessidadeService extends GenericService<ObjetivoEstrategicoNecessidade, Long>{

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por buscar todas as necessidades de um determinado objetivo
	 *
	 * @author geovane.filho
	 *
	 * @param objEstrategicoId
	 * @return
	 */
	public Collection<ObjetivoEstrategicoNecessidade> findAllByObjetivoEstrategico(Long objEstrategicoId);

	void salvarListaNecessidades(Collection<ObjetivoEstrategicoNecessidade> necessidades, ObjetivoEstrategico objetivoEstrategico);

}
