package br.com.centralit.api.service;

import java.util.Collection;

import br.com.centralit.api.model.Programa;
import br.com.centralit.api.model.ProgramaAcao;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface ProgramaAcaoService extends GenericService<ProgramaAcao, Long> {

	void salvarListaAcoes(Collection<ProgramaAcao> acoes, Programa programa);

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por buscar todas as ações de um determinado programa
	 *
	 * @author geovane.filho
	 *
	 * @param programaId
	 * @return
	 */
	public Collection<ProgramaAcao> findAllByPrograma(Long programaId);

}
