package br.com.centralit.api.service;

import java.util.Collection;

import javax.servlet.http.HttpServletResponse;

import br.com.centralit.api.model.TermoReferencia;
import br.com.centralit.framework.service.arquitetura.GenericService;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p> Termo Referencia Service
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">2389</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 06/01/2016 - 10:03:16
 *
 * @version 1.0.0
 *
 * @author juliana.barbosa
 *
 */
public interface TermoReferenciaService extends GenericService<TermoReferencia, Long> {

	/**
	 * M&eacute;todo respons&aacute;vel por gerar o relat&oacute;rio de termo de refer&ecirc;ncia
	 *
	 * @author ciro.junior (<a href="mailto:ciro.junior@centralit.com.br">ciro.junior@centralit.com.br</a>)
	 * @param idTermoReferencia
	 * @param download
	 * @param response
	 */
	void gerarPdfTermoReferencia(Long idTermoReferencia, boolean download, HttpServletResponse response);

	TermoReferencia findTermoByEstudoTecnico(long estudoTecnicoId);

	Collection<TermoReferencia> findAutoCompleteTermoReferencia(String value, Long idOrganizacao);

}
