package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.EstudoTecnicoAcaoContingenciaDao;
import br.com.centralit.api.model.EstudoTecnicoAcaoContingencia;
import br.com.centralit.api.service.EstudoTecnicoAcaoContingenciaService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 13/01/2016 - 16:11:51
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Service("estudoTecnicoAcaoContingenciaService")
public class EstudoTecnicoAcaoContingenciaServiceImpl extends GenericServiceImpl<EstudoTecnicoAcaoContingencia, Long> implements EstudoTecnicoAcaoContingenciaService {

	private EstudoTecnicoAcaoContingenciaDao estudoTecnicoAcaoContingenciaDao;
		
	@Autowired
	public EstudoTecnicoAcaoContingenciaServiceImpl(EstudoTecnicoAcaoContingenciaDao estudoTecnicoAcaoContingenciaDao) {
		this.dao = estudoTecnicoAcaoContingenciaDao;
		this.estudoTecnicoAcaoContingenciaDao = estudoTecnicoAcaoContingenciaDao;
	}
	
	@Override
	public boolean removeById(Long id){

		EstudoTecnicoAcaoContingencia acaoCont = this.find(id);

		if(acaoCont != null){
			acaoCont.setEstudoTecnicoInativo(acaoCont.getEstudoTecnico());
			acaoCont.setEstudoTecnico(null);

			return super.remove(acaoCont);
		}

		return true;
	}
}
