package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.EstudoTecnicoLevantamentoAlternativasDao;
import br.com.centralit.api.model.EstudoTecnicoLevantamentoAlternativas;
import br.com.centralit.api.service.EstudoTecnicoLevantamentoAlternativasService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 05/01/2016 - 17:48:32
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Service("estudoTecnicoLevantamentoAlternativasService")
public class EstudoTecnicoLevantamentoAlternativasServiceImpl extends GenericServiceImpl<EstudoTecnicoLevantamentoAlternativas, Long> implements EstudoTecnicoLevantamentoAlternativasService {

	private EstudoTecnicoLevantamentoAlternativasDao estudoTecnicoLevantamentoAlternativasDao;
		
	@Autowired
	public EstudoTecnicoLevantamentoAlternativasServiceImpl(EstudoTecnicoLevantamentoAlternativasDao estudoTecnicoLevantamentoAlternativasDao) {
		this.dao = estudoTecnicoLevantamentoAlternativasDao;
		this.estudoTecnicoLevantamentoAlternativasDao = estudoTecnicoLevantamentoAlternativasDao;
	}
	
	@Override
	public boolean removeById(Long id){

		EstudoTecnicoLevantamentoAlternativas levAlternativas = this.find(id);

		if(levAlternativas != null){
			levAlternativas.setEstudoTecnicoInativo(levAlternativas.getEstudoTecnico());
			levAlternativas.setEstudoTecnico(null);

			return super.remove(levAlternativas);
		}

		return true;
	}
}
