package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.EstudoTecnicoRequisitoNegocioDao;
import br.com.centralit.api.model.EstudoTecnicoRequisitoNegocio;
import br.com.centralit.api.service.EstudoTecnicoRequisitoNegocioService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 11/01/2016 - 12:02:57
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Service("estudoTecnicoRequisitoNegocioService")
public class EstudoTecnicoRequisitoNegocioServiceImpl extends GenericServiceImpl<EstudoTecnicoRequisitoNegocio, Long> implements EstudoTecnicoRequisitoNegocioService {

	/** Atributo estudoTecnicoRequisitoNegocioDao. */
	private EstudoTecnicoRequisitoNegocioDao estudoTecnicoRequisitoNegocioDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param estudoTecnicoDao
	 * @param validator
	 */
	@Autowired
	public EstudoTecnicoRequisitoNegocioServiceImpl( EstudoTecnicoRequisitoNegocioDao estudoTecnicoRequisitoNegocioDao) {

		this.dao = estudoTecnicoRequisitoNegocioDao;

		this.estudoTecnicoRequisitoNegocioDao = estudoTecnicoRequisitoNegocioDao;
	}
	
	@Override
	public boolean removeById(Long id){

		EstudoTecnicoRequisitoNegocio reqNegocio = this.find(id);

		if(reqNegocio != null){
			reqNegocio.setEstudoTecnicoInativo(reqNegocio.getEstudoTecnico());
			reqNegocio.setEstudoTecnico(null);

			return super.remove(reqNegocio);
		}

		return true;
	}
}
