package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import org.springframework.validation.Validator;

import br.com.centralit.api.dao.TermoReferenciaDetalhamentoSolucaoDao;
import br.com.centralit.api.model.TermoReferenciaDetalhamentoSolucao;
import br.com.centralit.api.service.TermoReferenciaDetalhamentoSolucaoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;



/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p> Termo Referencia Detalhamento Solucao
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">2359</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 06/01/2016 - 10:36:39
 *
 * @version 1.0.0
 *
 * @author juliana.barbosa
 *	
 */
@Service("termoReferenciaDetalhamentoSolucaoService")
public class TermoReferenciaDetalhamentoSolucaoServiceImpl extends GenericServiceImpl<TermoReferenciaDetalhamentoSolucao, Long> implements TermoReferenciaDetalhamentoSolucaoService {

	private TermoReferenciaDetalhamentoSolucaoDao termoReferenciaDetalhamentoSolucaoDao;
	
	@Autowired
	public TermoReferenciaDetalhamentoSolucaoServiceImpl( TermoReferenciaDetalhamentoSolucaoDao termoReferenciaDetalhamentoSolucaoDao, @Qualifier("termoReferenciaDetalhamentoSolucaoValidator") Validator validator ) {

		this.dao = termoReferenciaDetalhamentoSolucaoDao;

		this.termoReferenciaDetalhamentoSolucaoDao = termoReferenciaDetalhamentoSolucaoDao;

		this.validator = validator;
	}
	
	


}
