-- ERICK INICIO 08/05/2016


CREATE TABLE cnt_ad_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    eventoaditivo_id bigint,
    eventoaditivoinativo_id bigint
);

CREATE TABLE cnt_ap_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    eventoapostilamento_id bigint,
    eventoapostilamentoinativo_id bigint
);

CREATE TABLE cnt_as_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    eventoatualizacaostatus_id bigint,
    evatualizacaostatusinativo_id bigint
);

CREATE TABLE cnt_ce_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    cronogramaexecucao_id bigint,
    cronogramaexecucaoinativo_id bigint
);

CREATE TABLE cnt_ce_item_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    pagamentoparcelado boolean,
    autor_id bigint,
    editor_id bigint,
    contratoitem_id bigint,
    cronogramaexecucao_id bigint,
    cronogramaexecucaoinativo_id bigint
);


CREATE TABLE cnt_cei_parcela_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    dataentrega timestamp without time zone,
    quantidade bigint,
    valortotalparcela numeric(20,4),
    valorunitario numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    cronogramaexecucaoitem_id bigint,
    ceiteminativo_id bigint
);


CREATE TABLE cnt_cn_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    contrato_id bigint,
    contratoinativo_id bigint
);


CREATE TABLE cnt_cn_empenho_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    classificacaodespesa character varying(30),
    data timestamp without time zone,
    justificativaempenho character varying(300),
    numeroempenho character varying(30),
    valorempenhado numeric(20,4),
    contratoempenho_id bigint,
    contratoempenhoinativo_id bigint,
    dominiocategoriaeconomica_id bigint,
    dominiofinalidadeempenho_id bigint
);


CREATE TABLE cnt_cn_envolvido_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint,
    contratoinativo_id bigint,
    papelenvolvidocontrato_id bigint,
    envolvido_id bigint
);


CREATE TABLE cnt_cn_evento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    dataevento timestamp without time zone,
    descricao character varying(500),
    justificativaexclusao character varying(255),
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint,
    contratoinativo_id bigint,
    tipoevento_id bigint
);


CREATE TABLE cnt_cn_item_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    quantidade bigint,
    valortotalitem numeric(20,4),
    valorunitarioitem numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint,
    contratoinativo_id bigint,
    estudotecnico_id bigint,
    etbemservicosolucao_id bigint
);

CREATE TABLE public.cnt_cn_valorpagamento_aud
(
  id bigint NOT NULL,
  rev integer NOT NULL,
  revtype smallint,
  databloqueio date,
  datainativo date,
  datacriacao timestamp without time zone,
  dataedicao timestamp without time zone,
  datavencimento timestamp without time zone,
  valorparcela numeric(20,4),
  autor_id bigint,
  editor_id bigint,
  contrato_id bigint,
  contratoinativo_id bigint
);

CREATE TABLE cnt_contrato_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    datacelebracao timestamp without time zone,
    datapublicacaolicitacao timestamp without time zone,
    datavigenciafinal timestamp without time zone,
    datavigenciagarantia timestamp without time zone,
    datavigenciainicial timestamp without time zone,
    exercicio timestamp without time zone,
    numeroanocontrato character varying(30),
    numeroanoeditallicitacao character varying(10),
    numeroparcela bigint,
    numeroprocesso bigint,
    objetocontratacao character varying(1024),
    percentualgarantia numeric(20,4),
    renovavel boolean,
    valorcontrato numeric(20,4),
    valorgarantia numeric(20,4),
    valortotalempenhado numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    formapagamentocontrato_id bigint,
    dominiomodalidadegarantia_id bigint,
    dominiomodalidadelicitacao_id bigint,
    dominiosituacaoatual_id bigint,
    dominiotipoaquisicao_id bigint,
    dominiotipocontrato_id bigint,
    dominiotipolicitacao_id bigint,
    programaacao_id bigint,
    termoreferencia_id bigint
);


CREATE TABLE cnt_cronogramaexecucao_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    codigo character varying(10),
    valortotal numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint
);


CREATE TABLE cnt_ec_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    encerramentocontrato_id bigint,
    encerramentocontratoinativo_id bigint
);


CREATE TABLE cnt_en_justificativa_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    descricao character varying(500),
    autor_id bigint,
    editor_id bigint,
    contratoenvolvido_id bigint
);

CREATE TABLE cnt_encerramentocontrato_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    dataemissao timestamp without time zone,
    decisao character varying(2000),
    encaminhamentos character varying(8000),
    introducao character varying(2000),
    motivo character varying(2000),
    numtermo character varying(30),
    pendencias character varying(2000),
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint
);


CREATE TABLE cnt_ep_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    contratoempenho_id bigint,
    contratoempenhoinativo_id bigint
);


CREATE TABLE cnt_estudotecnico_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    datainstituicaoequipe timestamp without time zone,
    descricaojustificativasolucao character varying(1000),
    descnecessidadeadqcaoambiente character varying(1000),
    descricaosolucao character varying(1000),
    numeroportaria character varying(30),
    numerosequencial bigint,
    sequencialano character varying(20),
    requisitoscapacitacao character varying(1000),
    requisitostecnicos character varying(1000),
    roijustificativasolucao character varying(1000),
    autor_id bigint,
    editor_id bigint,
    integranteadministrativo_id bigint,
    integranterequisitante_id bigint,
    integrantetecnico_id bigint
);


CREATE TABLE cnt_et_acaocontingencia_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    acaocontigencia character varying(1000),
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint
);


CREATE TABLE cnt_et_bemservicosolucao_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    descricaobemservicosolucao character varying(1000),
    nomebemservicosolucao character varying(255),
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint
);


CREATE TABLE cnt_et_beneficioesperado_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    beneficioesperado character varying(1000),
    descricaobeneficioesperado character varying(1000),
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint
);


CREATE TABLE cnt_et_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint
);

CREATE TABLE cnt_et_levantalternat_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    descricaoalternativa character varying(1000),
    valor numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint,
    etlaquestionario_id bigint,
    fornecedor_id bigint,
    orgaoexterno_id bigint
);


CREATE TABLE cnt_et_questionario_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    nome character varying(100),
    autor_id bigint,
    editor_id bigint
);


CREATE TABLE cnt_et_recursohumano_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    atividades character varying(1000),
    formacao character varying(1000),
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint
);


CREATE TABLE cnt_et_recursomaterial_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    acaoobtencao character varying(1000),
    descricaorecursomaterial character varying(1000),
    disponivel boolean,
    quantidade bigint,
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint
);


CREATE TABLE cnt_et_requisitonegocio_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    justificativanecessidade character varying(1000),
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    estudotecnicoinativo_id bigint,
    objestrategiconecessidade_id bigint
);


CREATE TABLE cnt_etla_questionario_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    data timestamp without time zone,
    autor_id bigint,
    editor_id bigint,
    estudotecnico_id bigint,
    etquestionario_id bigint
);

CREATE TABLE cnt_etq_resposta_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    resposta character varying(255),
    respostaboolean boolean,
    autor_id bigint,
    editor_id bigint,
    etquestionario_id bigint,
    etlaquestionario_id bigint,
    possivelrespostaselecionada_id bigint,
    questionariopergunta_id bigint
);


CREATE TABLE cnt_ev_aditivo_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    aditivodeclausula boolean,
    aditivodeprazo boolean,
    aditivodevalor boolean,
    dataemissao timestamp without time zone,
    datafim timestamp without time zone,
    datainicio timestamp without time zone,
    descricaoaditivo character varying(5000),
    justificativa character varying(2000),
    manifestacaocontratada character varying(2000),
    percentualaditivo numeric(20,4),
    numerosequencial bigint,
    sequencialano character varying(20),
    valoraditivo numeric(20,4),
    contratoaditivo_id bigint,
    contratoaditivoinativo_id bigint,
    tipoalteracao_id bigint,
    tipoalteracaovalor_id bigint,
    tipoobjeto_id bigint
);

CREATE TABLE cnt_ev_apostilamento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    dataemissao timestamp without time zone,
    justificativa character varying(2000),
    registroadministrativo character varying(2000),
    numerosequencial bigint,
    sequencialano character varying(20)
);

CREATE TABLE cnt_ev_atualizacaostatus_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    dataatualizacao timestamp without time zone,
    justificativa character varying(2000),
    tiposituacaoantiga_id bigint,
    tiposituacaonova_id bigint
);


CREATE TABLE cnt_ev_lib_pagamento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    emissao timestamp without time zone,
    numeroliberacao character varying(30),
    totalempenholiberado numeric(20,4),
    totalliberadoos numeric(20,4),
    totalliberadopagamento numeric(20,4),
    responsavel_id bigint
);


CREATE TABLE cnt_ev_penalidade_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    datapenalizacao timestamp without time zone,
    respostacontratada character varying(500),
    termoreferenciapenalidade_id bigint
);

CREATE TABLE cnt_ev_recebimentoobjeto_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    datarecebimento timestamp without time zone,
    justificativa character varying(2000),
    numerosequencial bigint,
    sequencialano character varying(20),
    tipoavaliacaoadesao_id bigint,
    tipoavaliacaoprazo_id bigint,
    tiporecebimento_id bigint,
    tipostatus_id bigint
);

CREATE TABLE cnt_ev_registro_nc_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    datanaoconformidade timestamp without time zone,
    percentualmulta numeric(20,4),
    respostacontratada character varying(2000),
    valormulta numeric(20,4),
    tiponaoconformidade_id bigint
);

CREATE TABLE cnt_ev_repactuacao_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    datarepactuacao timestamp without time zone,
    justificativarepactuacao character varying(500),
    numerorepactuacao character varying(30),
    registroocorrencia_id bigint
);


CREATE TABLE cnt_ev_rescisaocontrato_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    datarescisao timestamp without time zone,
    devolucaovalor boolean,
    justificativa character varying(2000),
    numerorescisao character varying(30),
    valoradevolver numeric(20,4),
    tiporescisao_id bigint
);


CREATE TABLE cnt_ev_ro_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    eventorecebimentoobjeto_id bigint,
    evrecebimentoobjetoinativo_id bigint
);


CREATE TABLE cnt_lp_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    liberacaopagamento_id bigint,
    liberacaopagamentoinativo_id bigint
);


CREATE TABLE cnt_lp_empenho_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    percentualexecutado numeric(20,4),
    valorexecutado numeric(20,4),
    valorliberado numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    contratoempenho_id bigint,
    liberacaopagamento_id bigint
);

CREATE TABLE cnt_lp_odfornecimento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    valorglosa numeric(20,4),
    valortotalos numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    liberacaopagamento_id bigint,
    ordemfornecimento_id bigint
);


CREATE TABLE cnt_n_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    notificacaocontrato_id bigint,
    notificacaocontratoinativo_id bigint
);


CREATE TABLE cnt_n_ocorrencia_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    autor_id bigint,
    editor_id bigint,
    notificacaocontrato_id bigint,
    notificacaocontratoinativo_id bigint,
    registroocorrencia_id bigint
);


CREATE TABLE cnt_nc_empenho_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    evregnaoconformidade_id bigint,
    evregnaoconformidadeinativo_id bigint
);

CREATE TABLE cnt_notificacao_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    associarocorrencia boolean,
    codigo character varying(30),
    descricao character varying(500),
    emissao timestamp without time zone,
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint,
    dominiotiposancao_id bigint
);

CREATE TABLE cnt_objetivoestrategico_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    descricao character varying(500),
    nome character varying(150),
    autor_id bigint,
    editor_id bigint
);


CREATE TABLE cnt_oe_necessidade_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    descricao character varying(500),
    autor_id bigint,
    editor_id bigint,
    objetivoestrategico_id bigint
);

CREATE TABLE cnt_of_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    ordemfornecimento_id bigint,
    ordemfornecimentoinativo_id bigint
);


CREATE TABLE cnt_of_item_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    datainicioprevisto timestamp without time zone,
    dataterminoprevisto timestamp without time zone,
    quantidade bigint,
    valortotalitem numeric(20,4),
    valorunitarioitem numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    itembemservico_id bigint,
    ordemfornecimento_id bigint,
    ordemfornecimentoinativo_id bigint
);


CREATE TABLE cnt_ordemfornecimento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    dataemissao timestamp without time zone,
    localprestacaoservico character varying(500),
    numordemfornecimento character varying(20),
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint,
    dominiosituacao_id bigint
);

CREATE TABLE public.cnt_p_acao_aud
(
  id bigint NOT NULL,
  rev integer NOT NULL,
  revtype smallint,
  databloqueio date,
  datainativo date,
  datacriacao timestamp without time zone,
  dataedicao timestamp without time zone,
  baselegal character varying(150),
  codigo character varying(4),
  descricao character varying(500),
  nome character varying(150),
  autor_id bigint,
  editor_id bigint,
  programa_id bigint
);

CREATE TABLE cnt_pn_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    eventopenalidade_id bigint,
    eventopenalidadeinativo_id bigint
);


CREATE TABLE cnt_pn_regocorrencia_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    autor_id bigint,
    editor_id bigint,
    eventopenalidade_id bigint,
    registroocorrencia_id bigint
);


CREATE TABLE cnt_programa_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    anoexercicio integer,
    codigo character varying(4),
    nome character varying(150),
    autor_id bigint,
    editor_id bigint,
    dominiotipoprograma_id bigint
);


CREATE TABLE cnt_q_pergunta_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    questao character varying(500),
    autor_id bigint,
    editor_id bigint,
    dominiotiporesposta_id bigint,
    etquestionario_id bigint,
    etquestionarioinativo_id bigint,
    questionario_id bigint,
    questionarioinativo_id bigint
);


CREATE TABLE cnt_qp_possivelresposta_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    resposta character varying(100),
    autor_id bigint,
    editor_id bigint,
    questionariopergunta_id bigint,
    questionarioperguntainativo_id bigint
);


CREATE TABLE cnt_questionario_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    nome character varying(100),
    autor_id bigint,
    editor_id bigint,
    dominiotipoquestionario_id bigint
);


CREATE TABLE cnt_rc_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    eventorescisaocontrato_id bigint,
    eventorescisaoinativo_id bigint
);


CREATE TABLE cnt_registroocorrencia_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    dataemissaoocorrencia timestamp without time zone,
    descricaoocorrencia character varying(600),
    justificativaglosa character varying(200),
    prazocumprimento timestamp without time zone,
    numerosequencial bigint,
    sequencialano character varying(20),
    tituloocorrencia character varying(200),
    valorglosa numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    contrato_id bigint,
    ordemfornecimento_id bigint
);

CREATE TABLE cnt_rep_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    eventorepactuacao_id bigint,
    eventorepactuacaoinativo_id bigint
);

CREATE TABLE cnt_ro_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    registroocorrencia_id bigint,
    registroocorrenciainativo_id bigint
);

CREATE TABLE cnt_termoreferencia_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    adequacaoorcamentaria character varying(1000),
    codigo character varying(30),
    criteriohabilitacao character varying(500),
    datatermogerado timestamp without time zone,
    deverescontratada text,
    deverescontratante text,
    deveresorgaoregistropreco text,
    documentacaominima character varying(1000),
    justificativa character varying(500),
    justificativacontratacaodir character varying(500),
    justificativamodalidade character varying(500),
    justificativapreferencia character varying(500),
    mecanismocomunicacao text,
    objetocontratacao character varying(4000),
    procedimentosinspecao character varying(1000),
    qualificacaotecnica character varying(500),
    autor_id bigint,
    editor_id bigint,
    adjudicacaoobjeto_id bigint,
    empreitada_id bigint,
    estudotecnico_id bigint,
    modalidade_id bigint
);

CREATE TABLE cnt_tr_detsolucao_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    descricaoglosa character varying(500),
    indicador character varying(150),
    localentrega character varying(150),
    metrica character varying(150),
    nivelservico character varying(150),
    numeroparcelas bigint,
    prazoentrega timestamp without time zone,
    quantidade bigint,
    total numeric(20,4),
    unidade bigint,
    valor numeric(20,4),
    autor_id bigint,
    editor_id bigint,
    bemservicosolucao_id bigint,
    formapagamento_id bigint,
    fornecedor_id bigint,
    orgaoexterno_id bigint,
    termo_id bigint,
    termoinativo_id bigint
);

CREATE TABLE cnt_tr_documento_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    termo_id bigint,
    termoinativo_id bigint
);


CREATE TABLE cnt_tr_penalidade_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    ocorrencia character varying(500),
    penalidade character varying(150),
    autor_id bigint,
    editor_id bigint,
    termo_id bigint,
    termoinativo_id bigint
);


CREATE TABLE cnt_tr_sancao_aud (
    id bigint NOT NULL,
    rev integer NOT NULL,
    revtype smallint,
    databloqueio date,
    datainativo date,
    datacriacao timestamp without time zone,
    dataedicao timestamp without time zone,
    descricao character varying(500),
    sancao character varying(150),
    autor_id bigint,
    editor_id bigint,
    dominiotiposancao_id bigint,
    termo_id bigint,
    termoinativo_id bigint
);

-- ERICK FIM 08/05/2016