package br.com.centralit.framework.test.utils;

import java.text.SimpleDateFormat;

import br.com.centralit.api.model.EstruturaOrganizacional;
import br.com.six2six.fixturefactory.Fixture;
import br.com.six2six.fixturefactory.Rule;
import br.com.six2six.fixturefactory.loader.TemplateLoader;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 15/01/2016 - 16:23:34
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public class EstruturaOrganizacionalTemplateLoader implements TemplateLoader{

	@Override
	public void load() {

		Fixture.of(EstruturaOrganizacional.class).addTemplate("valid", new Rule() {
			{
				add("id", 1L);
				add("classificacao", "classificacao");
				add("nome", "estrutura");
				add("sigla", "mpog");
				add("codigo", "cod");
				add("dataFim", instant("now"));
				add("dataInicio", beforeDate("2015-01-31", new SimpleDateFormat("yyyy-MM-dd")));
				add("estruturaOrganizacionalParent", null);
				add("subEstruturasOrganizacionais", null);
				add("localizacao", null);
			}
		});
	}
}
