package br.com.centralit.framework.test.utils;

import br.com.centralit.api.model.ObjetivoEstrategicoNecessidade;
import br.com.six2six.fixturefactory.Fixture;
import br.com.six2six.fixturefactory.Rule;
import br.com.six2six.fixturefactory.loader.TemplateLoader;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 15/01/2016 - 16:29:54
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public class ObjetivoEstrategicoNecessidadeTemplateLoader implements TemplateLoader{

	@Override
	public void load() {

		Fixture.of(ObjetivoEstrategicoNecessidade.class).addTemplate("valid", new Rule() {
			{
				add("id", 1L);
				add("descricao", random("descricao de objetivoEstrategicoNecessidade 01", "descricao de objetivoEstrategicoNecessidade 02"));
			}
		});
		
		Fixture.of(ObjetivoEstrategicoNecessidade.class).addTemplate("noId", new Rule() {
			{
				add("descricao", random("descricao de objetivoEstrategicoNecessidade 01", "descricao de objetivoEstrategicoNecessidade 02"));
			}
		});

	}



}
