package br.com.centralit.framework.test.utils;

import br.com.centralit.api.model.ObjetivoEstrategico;
import br.com.centralit.api.model.ObjetivoEstrategicoNecessidade;
import br.com.six2six.fixturefactory.Fixture;
import br.com.six2six.fixturefactory.Rule;
import br.com.six2six.fixturefactory.loader.TemplateLoader;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 18/01/2016 - 12:10:35
 *
 * @version 1.0.0
 *
 * @author luis.camargo
 *
 */
public class ObjetivoEstrategicoTemplateLoader implements TemplateLoader{

	@Override
    public void load() {

		Fixture.of(ObjetivoEstrategico.class).addTemplate("valid", new Rule() {
			{
				add("id", random("06608000", "17720000"));
				add("nome", random("nome do objetivo estratégico 01", "nome do objetivo estratégico 02"));
				add("descricao", random("descricao do objetivo estratégico 01", "descricao do objetivo estratégico 02"));
				add("necessidadesElencadas", has(2).of(ObjetivoEstrategicoNecessidade.class, "valid"));
			}
		});
		
		Fixture.of(ObjetivoEstrategico.class).addTemplate("noId", new Rule() {
			{
				add("nome", random("nome do objetivo estratégico 01", "nome do objetivo estratégico 02"));
				add("descricao", random("descricao do objetivo estratégico 01", "descricao do objetivo estratégico 02"));
				add("necessidadesElencadas", has(2).of(ObjetivoEstrategicoNecessidade.class, "valid"));
			}
		});
		
	}
}
