package br.com.centralit.framework.test.utils;

import br.com.centralit.api.model.Programa;
import br.com.centralit.api.model.ProgramaAcao;
import br.com.centralit.framework.model.Dominio;
import br.com.six2six.fixturefactory.Fixture;
import br.com.six2six.fixturefactory.Rule;
import br.com.six2six.fixturefactory.loader.TemplateLoader;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 15/01/2016 - 16:49:14
 *
 * @version 1.0.0
 *
 * @author luis.camargo
 *
 */
public class ProgramaTemplateLoader implements TemplateLoader{

	@Override
    public void load() {

		Fixture.of(Programa.class).addTemplate("valid", new Rule() {
			{
				add("id", random("06608000", "17720000"));
				add("anoExercicio", "2016");
				add("codigo", random("1234", "4321"));
				add("nome", random("nome do programa 01", "nome do programa 02"));
				add("dominioTipoPrograma", one(Dominio.class, "dominioTipoPrograma"));
				add("acoes", has(2).of(ProgramaAcao.class, "valid"));
			}
		});
		
		Fixture.of(Programa.class).addTemplate("noId", new Rule() {
			{
				add("anoExercicio", "2016");
				add("codigo", random("3456", "4321"));
				add("nome", random("nome do programa 01", "nome do programa 02"));
				add("dominioTipoPrograma", one(Dominio.class, "dominioTipoPrograma"));
				add("acoes", has(2).of(ProgramaAcao.class, "valid"));
			}
		});
	}
}
