package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.EstudoTecnicoRecursoHumano;
import br.com.centralit.api.service.EstudoTecnicoRecursoHumanoService;
import br.com.centralit.framework.controller.GenericController;
import br.com.centralit.framework.json.Views;

/**
 * 
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 20/01/2016 - 16:29:09
 * 
 * @version 1.0.0
 * 
 * @author geovane.filho
 * 
 */
@Controller
@RequestMapping("/rest/estudoTecnicoRecursoHumano")
public class EstudoTecnicoRecursoHumanoController extends GenericController<EstudoTecnicoRecursoHumano> {

	/** Atributo estudoTecnicoService. */
	private EstudoTecnicoRecursoHumanoService estudoTecnicoRecursoHumanoService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param estudoTecnicoRecursoHumanoService
	 */
	@Autowired
	public EstudoTecnicoRecursoHumanoController( EstudoTecnicoRecursoHumanoService estudoTecnicoRecursoHumanoService ) {

		super(estudoTecnicoRecursoHumanoService);

		this.estudoTecnicoRecursoHumanoService = estudoTecnicoRecursoHumanoService;
	}

	@Override
	public Class<Views.GenericView> getEditView() {

		return Views.GenericView.class;
	}

	@Override
	public Class<Views.GenericView> getListView() {

		return Views.GenericView.class;
	}

}
