package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.NotificacaoContratoOcorrencia;
import br.com.centralit.api.service.NotificacaoContratoOcorrenciaService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b> Notificacao Contrato
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">415</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 24/02/2016 - 08:39:42
 *
 * @version 1.0.0
 *
 * @author erick.sato
 *
 */
@Controller
@RequestMapping("/rest/notificacaoContratoOcorrencia")
public class NotificacaoContratoOcorrenciaController extends
		GenericController<NotificacaoContratoOcorrencia> {

	@Autowired
	public NotificacaoContratoOcorrenciaController(
			NotificacaoContratoOcorrenciaService notificacaoContratoOcorrenciaService) {

		super(notificacaoContratoOcorrenciaService);

	}

}
