package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.PossivelRespostaQuestionarioPergunta;
import br.com.centralit.api.service.PossivelRespostaQuestionarioPerguntaService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b> Monitor </p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">415</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 27/02/2015 - 14:45:58
 *
 * @version 1.0.0
 *
 * @author juliana.barbosa
 *	
 */
@Controller
@RequestMapping("/rest/possivelRespostaQuestionarioPergunta")
public class PossivelRespostaQuestionarioPerguntaController extends GenericController<PossivelRespostaQuestionarioPergunta> {

	/** Atributo possivelRespostaQuestionarioPerguntaService. */
	private PossivelRespostaQuestionarioPerguntaService possivelRespostaQuestionarioPerguntaService;


	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param possivelRespostaQuestionarioPerguntaService
	 */
	@Autowired
	public PossivelRespostaQuestionarioPerguntaController( PossivelRespostaQuestionarioPerguntaService possivelRespostaQuestionarioPerguntaService ) {

		super(possivelRespostaQuestionarioPerguntaService);
		
		this.possivelRespostaQuestionarioPerguntaService = possivelRespostaQuestionarioPerguntaService;
	}	
}
