'use strict';

citApp.factory('ContratoLiberacaoPagamentoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ContratoLiberacaoPagamentoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/contratoLiberacaoPagamento');

    	// Metodo responsavel por buscar todas as liberacoes de pagamento do contrato
    	this.findAllByContrato = function(contratoId) {
    		return restangularContratos.all(this.route+'/findAllByContrato').post(contratoId);
    	};
    }

    AbstractRepository.extend(ContratoLiberacaoPagamentoRepository);

    return new ContratoLiberacaoPagamentoRepository();
}]);
