'use strict';

citApp.factory('EstudoTecnicoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function EstudoTecnicoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/estudoTecnico');

    	this.listarEstudosPorCodigo = function(codigo) {
    		return restangularContratos.one('rest/estudoTecnico').getList("listarEstudosPorCodigo", {"codigo": codigo}).then();
    	};

		this.findAutoCompleteEstudoTecnicoPorCodigoAndOrganizacao = function(value, idOrganizacao) {
			return restangularContratos.one('rest/estudoTecnico').getList("findAutoCompleteEstudoTecnicoPorCodigoAndOrganizacao", {"codigo" : value, "idOrganizacao" : idOrganizacao}).then();
		};
    }

    AbstractRepository.extend(EstudoTecnicoRepository);

    return new EstudoTecnicoRepository();
}]);