'use strict';

citApp.factory('EventoLiberacaoPagamentoEmpenhoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function EventoLiberacaoPagamentoEmpenhoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/eventoLiberacaoPagamentoEmpenho');

    	this.existeVinculoEmpenhoComLiberacaoPagamento = function(idEmpenho) {
    		return 	restangularContratos.one(this.route + "/existeVinculoEmpenhoComLiberacaoPagamento").get({"idEmpenho": idEmpenho}).then();
    	};
    }

    AbstractRepository.extend(EventoLiberacaoPagamentoEmpenhoRepository);

    return new EventoLiberacaoPagamentoEmpenhoRepository();
}]);
