'use strict';

citApp.factory('ModeloEmailRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ModeloEmailRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/modeloEmail');
    	
    	this.listarModelosEmail = function(nome) {
    		return restangularContratos.one('rest/modeloEmail').getList("listarModelosEmail", {"nome": nome}).then();
    	};    	          	
    	
    }
    
    AbstractRepository.extend(ModeloEmailRepository);
    
    return new ModeloEmailRepository();
}]);