'use strict';
citApp.factory('ObjetivoEstrategicoNecessidadeRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ObjetivoEstrategicoNecessidadeRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/objetivoEstrategicoNecessidade');
    	
    	this.findAllByObjetivoEstrategico = function(objetivoEstrategico) {
    		return restangularContratos.one('rest/objetivoEstrategicoNecessidade').getList("findAllByObjetivoEstrategico", {objEstrategicoId : objetivoEstrategico.id}).then();
    	};
    }
    
    AbstractRepository.extend(ObjetivoEstrategicoNecessidadeRepository);
    
    return new ObjetivoEstrategicoNecessidadeRepository();
}]);