'use strict';

citApp.factory('OrdemFornecimentoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function OrdemFornecimentoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/ordemFornecimento');

    	this.findOrdemFornecimentoPorContrato = function(idContrato) {
    		return restangularContratos.one(this.route).getList("findOrdemFornecimentoPorContrato", {"idContrato": idContrato}).then();
    	};

    	this.getValorTotalOS = function(ordemFornecimentoId) {
    		return restangularContratos.one(this.route + "/getValorTotalOS").get({"ordemFornecimentoId" : ordemFornecimentoId}).then();
    	};

    }

    AbstractRepository.extend(OrdemFornecimentoRepository);

    return new OrdemFornecimentoRepository();
}]);