'use strict';
citApp.factory('ProgramaRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ProgramaRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/programa');

    	this.findAllByOrganizacao = function() {
    		return restangularContratos.one('rest/programa').getList("findAllByOrganizacao").then();
    	};

		this.findAutoCompleteProgramaByNumeroOrNomeAndOrganizacao = function(value, idOrganizacao) {
			return restangularContratos.one('rest/programa').getList("findAutoCompleteProgramaByNumeroOrNomeAndOrganizacao", {"numeroOrNome" : value, "idOrganizacao" : idOrganizacao}).then();
		};

    	this.findByProgramaAcao = function(idProgramaAcao) {
    		return restangularContratos.one(this.route + "/findByProgramaAcao").get({"idProgramaAcao" : idProgramaAcao}).then();
    	};

    }

    AbstractRepository.extend(ProgramaRepository);

    return new ProgramaRepository();
}]);