'use strict';

citApp.factory('RegraEventoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function RegraEventoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/regraEvento');
    	
    	this.listarRegrasEvento = function(nome) {
    		return restangularContratos.one('rest/regraEvento').getList("listarRegrasEvento", {"nome": nome}).then();
    	};      
    	
    }
    
    AbstractRepository.extend(RegraEventoRepository);
    
    return new RegraEventoRepository();
}]);