'use strict';

citApp.factory('TermoReferenciaPenalidadeRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function TermoReferenciaPenalidadeRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/termoReferenciaPenalidade');
    	
		this.findAllByContrato = function(idContrato) {
			return restangularContratos.one(this.route).getList("findAllByContrato", {"idContrato": idContrato}).then();
		};

    }

    AbstractRepository.extend(TermoReferenciaPenalidadeRepository);

    return new TermoReferenciaPenalidadeRepository();
}]);
