'use strict';

citApp.factory('TermoReferenciaRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function TermoReferenciaRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/termoReferencia');

		this.findAutoCompleteTermoReferencia = function(value, idOrganizacao) {
			return restangularContratos.one('rest/termoReferencia').getList("findAutoCompleteTermoReferencia", {"value" : value, "idOrganizacao" : idOrganizacao}).then();
		};
    }

    AbstractRepository.extend(TermoReferenciaRepository);

    return new TermoReferenciaRepository();
}]);