package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.EstudoTecnicoBemServicoSolucao;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;



/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 07/01/2016 - 12:02:32
 *
 * @version 1.0.0
 *
 * @author juliana.barbosa
 *	
 */
public interface EstudoTecnicoBemServicoSolucaoDao extends CitGenericDAO {
	
	/**
	 * <p><b>História(s):</b> <a href="LINK_PORTAL">2389</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por buscar os bens ou servicos definidos no estudo tecnico pelo campo nomeBemServicoSolucao 
	 *
	 * @author juliana.barbosa
	 *
	 * @param nome
	 * @return
	 */
	public Collection<EstudoTecnicoBemServicoSolucao> listarBensServicosPorNome(String nome);

}
