package br.com.centralit.api.dao;

import java.math.BigDecimal;

import br.com.centralit.api.model.EventoLiberacaoPagamento;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

public interface EventoLiberacaoPagamentoDao extends CitGenericDAO {

	BigDecimal getValorTotalLiberado(Long contratoId);

	EventoLiberacaoPagamento buscarUltimoRegistroPorDataEmissaoPorContrato(String campoBuscaParametrizadaUltimoRegistro, String ano, Long idOrganizacao, Long idContrato);

}
