package br.com.centralit.api.dao.impl;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import br.com.centralit.api.dao.ContratoEnvolvidoDao;
import br.com.centralit.api.model.ContratoEnvolvido;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;
import br.com.centralit.framework.dao.arquitetura.SearchSeven;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 25/01/2016 - 15:23:44
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
@Repository("contratoEnvolvidoDao")
public class ContratoEnvolvidoDaoHibernate extends CitGenericDAOImpl implements ContratoEnvolvidoDao {

	public ContratoEnvolvidoDaoHibernate() {
		super(ContratoEnvolvido.class);
	}

	@Override
	public Collection<ContratoEnvolvido> findProfissionaisContrato(Long idContrato) {
		SearchSeven search = new SearchSeven();

		search.addFilterEqual("contrato.id", idContrato);

		return this.search(search, ContratoEnvolvido.class);
	}

}
