package br.com.centralit.api.dao.impl;

import org.springframework.stereotype.Repository;

import br.com.centralit.api.dao.EventoPenalidadeDao;
import br.com.centralit.api.model.EventoPenalidade;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governan&ccedil;a Corporativa - </p>
 *
 * <p><b>Description: </b></p>
 *
 * @since 15/03/2016 - 14:34:28
 * @version 1.0.0
 * @author luis.camargo (<a href="mailto:luis.camargo@centralit.com.br">luis.camargo@centralit.com.br</a>)
 *
 */

@Repository("eventoPenalidadeDao")
public class EventoPenalidadeDaoHibernate extends CitGenericDAOImpl implements EventoPenalidadeDao {

	public EventoPenalidadeDaoHibernate() {
		super(EventoPenalidade.class);
	}

}
