package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 03/02/2016 - 14:44:10
 *
 * @version 1.0.0
 *
 * @author luis.camargo
 *
 */
@Audited
@AuditTable(value = "cnt_ce_documento_aud")
@Entity
@Table(name="cnt_ce_documento")
public class CronogramaExecucaoDocumento extends Documento {

	
	private static final long serialVersionUID = -8260383361258741439L;

	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private CronogramaExecucao cronogramaExecucao;

	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private CronogramaExecucao cronogramaExecucaoInativo;

	public CronogramaExecucao getCronogramaExecucao() {
		return cronogramaExecucao;
	}

	public void setCronogramaExecucao(CronogramaExecucao cronogramaExecucao) {
		this.cronogramaExecucao = cronogramaExecucao;
	}

	public CronogramaExecucao getCronogramaExecucaoInativo() {
		return cronogramaExecucaoInativo;
	}

	public void setCronogramaExecucaoInativo(CronogramaExecucao cronogramaExecucaoInativo) {
		this.cronogramaExecucaoInativo = cronogramaExecucaoInativo;
	}

}
