package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 24/02/2016 - 11:30:13
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_ec_documento_aud")
@Entity
@Table(name="cnt_ec_documento")
public class EncerramentoContratoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = -2099235026642043953L;

	/** Atributo contrato. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EncerramentoContrato encerramentoContrato;

	/** Atributo contratoInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EncerramentoContrato encerramentoContratoInativo;

	
	/**
	 * Retorna o valor do atributo <code>encerramentoContrato</code>
	 *
	 * @return <code>EncerramentoContrato</code>
	 */
	public EncerramentoContrato getEncerramentoContrato() {
	
		return encerramentoContrato;
	}

	
	/**
	 * Define o valor do atributo <code>encerramentoContrato</code>.
	 *
	 * @param encerramentoContrato 
	 */
	public void setEncerramentoContrato(EncerramentoContrato encerramentoContrato) {
	
		this.encerramentoContrato = encerramentoContrato;
	}

	
	/**
	 * Retorna o valor do atributo <code>encerramentoContratoInativo</code>
	 *
	 * @return <code>EncerramentoContrato</code>
	 */
	public EncerramentoContrato getEncerramentoContratoInativo() {
	
		return encerramentoContratoInativo;
	}

	
	/**
	 * Define o valor do atributo <code>encerramentoContratoInativo</code>.
	 *
	 * @param encerramentoContratoInativo 
	 */
	public void setEncerramentoContratoInativo(EncerramentoContrato encerramentoContratoInativo) {
	
		this.encerramentoContratoInativo = encerramentoContratoInativo;
	}

}
