package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 24/02/2016 - 11:28:52
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Entity
@Table(name="cnt_ec_observacao")
public class EncerramentoContratoObservacao extends Observacao {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 7792777285321823921L;
	
	/** Atributo contrato. */
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private EncerramentoContrato encerramentoContrato;
	
	/**
	 * Retorna o valor do atributo <code>encerramentoContrato</code>
	 *
	 * @return <code>EncerramentoContrato</code>
	 */
	public EncerramentoContrato getEncerramentoContrato() {
	
		return encerramentoContrato;
	}

	
	/**
	 * Define o valor do atributo <code>encerramentoContrato</code>.
	 *
	 * @param encerramentoContrato 
	 */
	public void setEncerramentoContrato(EncerramentoContrato encerramentoContrato) {
	
		this.encerramentoContrato = encerramentoContrato;
	}
	
	

}
