package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 09/03/2016 - 18:51:39
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_pn_documento_aud")
@Entity
@Table(name="cnt_pn_documento")
public class EventoPenalidadeDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoPenalidade. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoPenalidade eventoPenalidade;

	/** Atributo eventoPenalidadeInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoPenalidade eventoPenalidadeInativo;
	
	/**
	 * Retorna o valor do atributo <code>eventoPenalidade</code>
	 *
	 * @return <code>EventoPenalidade</code>
	 */
	public EventoPenalidade getEventoPenalidade() {
	
		return eventoPenalidade;
	}

	
	/**
	 * Define o valor do atributo <code>eventoPenalidade</code>.
	 *
	 * @param eventoPenalidade 
	 */
	public void setEventoPenalidade(EventoPenalidade eventoPenalidade) {
	
		this.eventoPenalidade = eventoPenalidade;
	}

	
	/**
	 * Retorna o valor do atributo <code>eventoPenalidadeInativo</code>
	 *
	 * @return <code>EventoPenalidade</code>
	 */
	public EventoPenalidade getEventoPenalidadeInativo() {
	
		return eventoPenalidadeInativo;
	}

	
	/**
	 * Define o valor do atributo <code>eventoPenalidadeInativo</code>.
	 *
	 * @param eventoPenalidadeInativo 
	 */
	public void setEventoPenalidadeInativo(EventoPenalidade eventoPenalidadeInativo) {
	
		this.eventoPenalidadeInativo = eventoPenalidadeInativo;
	}
	
}
