package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 *
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 09/03/2016 - 18:54:12
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Entity
@Table(name = "cnt_ev_ro_observacao")
public class EventoRecebimentoObjetoObservacao extends Observacao {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 78579413846779181L;

	/** Atributo eventoRecebimentoObjeto. */
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private EventoRecebimentoObjeto eventoRecebimentoObjeto;

	/**
	 * Retorna o valor do atributo <code>eventoRecebimentoObjeto</code>
	 *
	 * @return <code>EventoRecebimentoObjeto</code>
	 */
	public EventoRecebimentoObjeto getEventoRecebimentoObjeto() {

		return eventoRecebimentoObjeto;
	}

	/**
	 * Define o valor do atributo <code>eventoRecebimentoObjeto</code>.
	 *
	 * @param eventoRecebimentoObjeto
	 */
	public void setEventoRecebimentoObjeto(EventoRecebimentoObjeto eventoRecebimentoObjeto) {

		this.eventoRecebimentoObjeto = eventoRecebimentoObjeto;
	}
}
