package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 19/03/2016 - 09:22:39
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_rep_documento_aud")
@Entity
@Table(name="cnt_rep_documento")
public class EventoRepactuacaoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoRepactuacao. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoRepactuacao eventoRepactuacao;

	/** Atributo eventoRepactuacaoInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoRepactuacao eventoRepactuacaoInativo;
	
	/**
	 * Retorna o valor do atributo <code>eventoRepactuacao</code>
	 *
	 * @return <code>EventoRepactuacao</code>
	 */
	public EventoRepactuacao getEventoRepactuacao() {
	
		return eventoRepactuacao;
	}

	
	/**
	 * Define o valor do atributo <code>eventoRepactuacao</code>.
	 *
	 * @param eventoRepactuacao 
	 */
	public void setEventoRepactuacao(EventoRepactuacao eventoRepactuacao) {
	
		this.eventoRepactuacao = eventoRepactuacao;
	}

	
	/**
	 * Retorna o valor do atributo <code>eventoRepactuacaoInativo</code>
	 *
	 * @return <code>EventoRepactuacao</code>
	 */
	public EventoRepactuacao getEventoRepactuacaoInativo() {
	
		return eventoRepactuacaoInativo;
	}

	
	/**
	 * Define o valor do atributo <code>eventoRepactuacaoInativo</code>.
	 *
	 * @param eventoRepactuacaoInativo 
	 */
	public void setEventoRepactuacaoInativo(EventoRepactuacao eventoRepactuacaoInativo) {
	
		this.eventoRepactuacaoInativo = eventoRepactuacaoInativo;
	}
	
}
