package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

/**
 *
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 *
 * @since 09/03/2016 - 18:51:39
 *
 * @version 1.0.0
 *
 * @author erick.sato
 *
 */
@Audited
@AuditTable(value = "cnt_rc_documento_aud")
@Entity
@Table(name = "cnt_rc_documento")
public class EventoRescisaoContratoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 4810063162923776584L;

	/** Atributo eventoAtualizacaoStatus. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private EventoRescisaoContrato eventoRescisaoContrato;

	/** Atributo eventoAtualizacaoStatusInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	@JoinColumn(name = "eventoRescisaoinativo_id")
	private EventoRescisaoContrato eventoRescisaoContratoInativo;

	public EventoRescisaoContrato getEventoRescisaoContrato() {
		return eventoRescisaoContrato;
	}

	public void setEventoRescisaoContrato(
			EventoRescisaoContrato eventoRescisaoContrato) {
		this.eventoRescisaoContrato = eventoRescisaoContrato;
	}

	public EventoRescisaoContrato getEventoRescisaoContratoInativo() {
		return eventoRescisaoContratoInativo;
	}

	public void setEventoRescisaoContratoInativo(
			EventoRescisaoContrato eventoRescisaoContratoInativo) {
		this.eventoRescisaoContratoInativo = eventoRescisaoContratoInativo;
	}

}
