package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governan&ccedil;a Corporativa -
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 *
 * @since 24/02/2016 - 08:39:42
 *
 * @version 1.0.0
 *
 * @author erick.sato
 *
 */
@Audited
@AuditTable(value = "cnt_n_documento_aud")
@Entity
@Table(name="cnt_n_documento")
@JsonIgnoreProperties({ "uploadsDocumento", "$uuid", "$checked", "$index","size", "name", "$error" })
public class NotificacaoContratoDocumento extends Documento {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private NotificacaoContrato notificacaoContrato;

	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private NotificacaoContrato notificacaoContratoInativo;

	public NotificacaoContrato getNotificacaoContrato() {
		return notificacaoContrato;
	}

	public void setNotificacaoContrato(NotificacaoContrato notificacaoContrato) {
		this.notificacaoContrato = notificacaoContrato;
	}

	public NotificacaoContrato getNotificacaoContratoInativo() {
		return notificacaoContratoInativo;
	}

	public void setNotificacaoContratoInativo(
			NotificacaoContrato notificacaoContratoInativo) {
		this.notificacaoContratoInativo = notificacaoContratoInativo;
	}

}
