package br.com.centralit.api.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;


/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 03/02/2016 - 15:39:05
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Audited
@AuditTable(value = "cnt_of_documento_aud")
@Entity
@Table(name="cnt_of_documento")
public class OrdemFornecimentoDocumento extends Documento {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = -709481296022179190L;

	/** Atributo contrato. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private OrdemFornecimento ordemFornecimento;

	/** Atributo contratoInativo. */
	@ManyToOne(fetch = FetchType.LAZY, optional = true)
	private OrdemFornecimento ordemFornecimentoInativo;

	
	/**
	 * Retorna o valor do atributo <code>ordemFornecimento</code>
	 *
	 * @return <code>OrdemFornecimento</code>
	 */
	public OrdemFornecimento getOrdemFornecimento() {
	
		return ordemFornecimento;
	}

	
	/**
	 * Define o valor do atributo <code>ordemFornecimento</code>.
	 *
	 * @param ordemFornecimento 
	 */
	public void setOrdemFornecimento(OrdemFornecimento ordemFornecimento) {
	
		this.ordemFornecimento = ordemFornecimento;
	}

	
	/**
	 * Retorna o valor do atributo <code>ordemFornecimentoInativo</code>
	 *
	 * @return <code>OrdemFornecimento</code>
	 */
	public OrdemFornecimento getOrdemFornecimentoInativo() {
	
		return ordemFornecimentoInativo;
	}

	
	/**
	 * Define o valor do atributo <code>ordemFornecimentoInativo</code>.
	 *
	 * @param ordemFornecimentoInativo 
	 */
	public void setOrdemFornecimentoInativo(OrdemFornecimento ordemFornecimentoInativo) {
	
		this.ordemFornecimentoInativo = ordemFornecimentoInativo;
	}
	
}
