package br.com.centralit.api.service;

import javax.servlet.http.HttpServletResponse;

import br.com.centralit.api.model.CronogramaExecucao;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface CronogramaExecucaoService extends GenericService<CronogramaExecucao, Long> {

	/**
	 * Método responsável por gerar o relatório de cronograma de execução
	 *
	 * @author luis.camargo
	 * 
	 * @param idCronograma
	 * @param download
	 * @param response
	 */
	void gerarPDFCronogramaExecucao(Long idCronograma, boolean download, HttpServletResponse response);
	
}
