package br.com.centralit.api.service;

import java.util.Calendar;

import br.com.centralit.api.model.EncerramentoContrato;
import br.com.centralit.framework.service.arquitetura.GenericService;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 24/02/2016 - 15:51:07
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
public interface EncerramentoContratoService extends GenericService<EncerramentoContrato, Long> {

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por gerar o próximo número para um termo
	 *
	 * @author geovane.filho
	 *
	 * @param dataEmissao
	 * @return
	 */
	public String geraNumeroTermo(Calendar dataEmissao);

}
