package br.com.centralit.api.service;

import java.sql.Connection;
import java.util.Date;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import br.com.centralit.api.model.EventoPenalidade;
import br.com.centralit.framework.model.Usuario;
import br.com.centralit.framework.service.arquitetura.GenericService;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governan&ccedil;a Corporativa - </p>
 *
 * <p><b>Description: </b></p>
 *
 * @since 15/03/2016 - 15:21:45
 * @version 1.0.0
 * @author luis.camargo (<a href="mailto:luis.camargo@centralit.com.br">luis.camargo@centralit.com.br</a>)
 *
 */
public interface EventoPenalidadeService extends GenericService<EventoPenalidade, Long> {

	JasperPrint getJasperPrintRelatorioPenalidade(Long idContrato, Date dataInicial, Date dataFinal, 
			Connection conn, Usuario usuarioLogado, String titulo) throws JRException;

}
