package br.com.centralit.api.service;

import java.sql.Connection;

import javax.servlet.http.HttpServletResponse;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import br.com.centralit.api.model.EventoRecebimentoObjeto;
import br.com.centralit.framework.model.Usuario;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface EventoRecebimentoObjetoService extends GenericService<EventoRecebimentoObjeto, Long>, RegistroSequencialInterface<EventoRecebimentoObjeto> {

	/**
	 *
	 * M&eacute;todo respons&aacute;vel por gerar o relat&oacute;rio de recebimento de objeto
	 *
	 * @author ciro.junior (<a href="mailto:ciro.junior@centralit.com.br">ciro.junior@centralit.com.br</a>)
	 *
	 * @param idRecebimento
	 * @param download
	 * @param response
	 */
	void gerarPdfRecebimento(Long idRecebimento, boolean download, HttpServletResponse response);

	JasperPrint getJasperPrintRecebimentoObjeto(Long id, Connection conn, Usuario usuarioLogado, String titulo) throws JRException;

}
