package br.com.centralit.api.service;

import java.math.BigDecimal;
import java.util.Collection;

import javax.servlet.http.HttpServletResponse;

import br.com.centralit.api.model.RegistroOcorrencia;
import br.com.centralit.framework.service.arquitetura.GenericService;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governan&ccedil;a Corporativa - </p>
 *
 * <p><b>Description: </b></p>
 *
 * @since 15/02/2016 - 15:22:58
 * @version 1.0.0
 * @author ciro.junior (<a href="mailto:ciro.junior@centralit.com.br">ciro.junior@centralit.com.br</a>)
 *
 */
public interface RegistroOcorrenciaService extends GenericService<RegistroOcorrencia, Long> {

	/**
	 * M&eacute;todo respons&aacute;vel por gerar o relat&oacute;rio de registro de ocorr&ecirc;ncias
	 *
	 * @author ciro.junior (<a href="mailto:ciro.junior@centralit.com.br">ciro.junior@centralit.com.br</a>)
	 * @param idRegistroOcorrencia
	 * @param download
	 * @param response
	 */
	void gerarPdfRegistroOcorrencia(Long registroOcorrenciaId, boolean download, HttpServletResponse response);

	Collection<RegistroOcorrencia> findAllPorContrato(Long idContrato);

	BigDecimal getValorTotalGlosaOrdem(Long ordemFornecimentoId);

}
