package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import org.springframework.validation.Validator;

import br.com.centralit.api.dao.CronogramaExecucaoItemDao;
import br.com.centralit.api.model.CronogramaExecucaoItem;
import br.com.centralit.api.service.CronogramaExecucaoItemService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

@Service("cronogramaExecucaoItemService")
public class CronogramaExecucaoItemServiceImpl extends GenericServiceImpl<CronogramaExecucaoItem, Long> implements CronogramaExecucaoItemService {

	private CronogramaExecucaoItemDao cronogramaExecucaoItemDao;

	@Autowired
	public CronogramaExecucaoItemServiceImpl(CronogramaExecucaoItemDao cronogramaExecucaoItemDao, @Qualifier("cronogramaExecucaoItemValidator") Validator validator ) {

		this.cronogramaExecucaoItemDao = cronogramaExecucaoItemDao;
		this.dao = cronogramaExecucaoItemDao;
		this.validator = validator;
	}

}
