package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.EstudoTecnicoRecursoHumanoDao;
import br.com.centralit.api.model.EstudoTecnicoRecursoHumano;
import br.com.centralit.api.service.EstudoTecnicoRecursoHumanoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 20/01/2016 - 09:54:28
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Service("estudoTecnicoRecursoHumanoService")
public class EstudoTecnicoRecursoHumanoServiceImpl extends GenericServiceImpl<EstudoTecnicoRecursoHumano, Long> implements EstudoTecnicoRecursoHumanoService {

	/** Atributo estudoTecnicoRecursoHumanoDao. */
	private EstudoTecnicoRecursoHumanoDao estudoTecnicoRecursoHumanoDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param estudoTecnicoRecursoHumanoDao
	 */
	@Autowired
	public EstudoTecnicoRecursoHumanoServiceImpl( EstudoTecnicoRecursoHumanoDao estudoTecnicoRecursoHumanoDao) {

		this.dao = estudoTecnicoRecursoHumanoDao;

		this.estudoTecnicoRecursoHumanoDao = estudoTecnicoRecursoHumanoDao;
	}
	
	@Override
	public boolean removeById(Long id){

		EstudoTecnicoRecursoHumano recursoHum = this.find(id);

		if(recursoHum != null){
			recursoHum.setEstudoTecnicoInativo(recursoHum.getEstudoTecnico());
			recursoHum.setEstudoTecnico(null);

			return super.remove(recursoHum);
		}

		return true;
	}
}
