package br.com.centralit.api.service.impl;

import java.math.BigDecimal;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.OrdemFornecimentoItemDao;
import br.com.centralit.api.model.OrdemFornecimentoItem;
import br.com.centralit.api.service.OrdemFornecimentoItemService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 *
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 03/02/2016 - 17:02:22
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Service("ordemFornecimentoItemService")
public class OrdemFornecimentoItemServiceImpl extends GenericServiceImpl<OrdemFornecimentoItem, Long> implements OrdemFornecimentoItemService {

	/** Atributo ordemFornecimentoDao. */
	private OrdemFornecimentoItemDao ordemFornecimentoItemDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param ordemFornecimentoItemDao
	 */
	@Autowired
	public OrdemFornecimentoItemServiceImpl( OrdemFornecimentoItemDao ordemFornecimentoItemDao) {
		this.dao = ordemFornecimentoItemDao;
		this.ordemFornecimentoItemDao = ordemFornecimentoItemDao;
	}

	@Override
	public BigDecimal getValorTotalOS(Long ordemFornecimentoId) {
		return this.ordemFornecimentoItemDao.getValorTotalOS(ordemFornecimentoId);
	}

}
