package br.com.centralit.api.viewHelper;

import java.util.Calendar;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonView;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import br.com.centralit.api.model.Colaborador;
import br.com.centralit.framework.json.JsonCalendarSimpleDateDeserializer;
import br.com.centralit.framework.json.Views;
import br.com.centralit.framework.model.Dominio;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 16/04/2015 - 09:01:48
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *	
 */
public class FilterContratosParams {

	private List<Dominio> tiposSituacao;
	
	private boolean apostilamento = false;
	
	private Colaborador gestor;
	
	@JsonDeserialize(using = JsonCalendarSimpleDateDeserializer.class)
	private Calendar vigInicial;
	
	@JsonDeserialize(using = JsonCalendarSimpleDateDeserializer.class)
	private Calendar vigFinal;
	
	/** Atributo start. */
	private Integer start;
	
	private Integer limit;

	
	public List<Dominio> getTiposSituacao() {
	
		return tiposSituacao;
	}

	
	public void setTiposSituacao(List<Dominio> tiposSituacao) {
	
		this.tiposSituacao = tiposSituacao;
	}

	
	public boolean isApostilamento() {
	
		return apostilamento;
	}

	
	public void setApostilamento(boolean apostilamento) {
	
		this.apostilamento = apostilamento;
	}

	
	public Colaborador getGestor() {
	
		return gestor;
	}

	
	public void setGestor(Colaborador gestor) {
	
		this.gestor = gestor;
	}

	
	public Calendar getVigInicial() {
	
		return vigInicial;
	}

	
	public void setVigInicial(Calendar vigInicial) {
	
		this.vigInicial = vigInicial;
	}

	
	public Calendar getVigFinal() {
	
		return vigFinal;
	}

	
	public void setVigFinal(Calendar vigFinal) {
	
		this.vigFinal = vigFinal;
	}

	
	public Integer getLimit() {
	
		return limit;
	}

	
	public void setLimit(Integer limit) {
	
		this.limit = limit;
	}


	
	public Integer getStart() {
	
		return start;
	}


	
	public void setStart(Integer start) {
	
		this.start = start;
	}
}
