-- ERICK SATO  INÍCIO 30/03/2016
TRUNCATE INTERNACIONALIZACAO;
UPDATE DOMINIO SET descricao = 'Reforço' where CHAVE = 'tipoFinalidadeEmpenhoContrato' AND descricao = 'Redorço';
-- ERICK SATO FIM    30/03/2016

-- ERICK INIICIO 31/03/2016


ALTER TABLE cnt_estudoTecnico ADD COLUMN numerosequencial bigint NULL;
ALTER TABLE cnt_estudoTecnico ADD COLUMN sequencialAno varchar(20) NULL;

DO $$
DECLARE
  r RECORD;
BEGIN
  FOR r IN
	SELECT
		lpad(CAST(concat(CAST(CAST(codigo AS integer) AS VARCHAR), CAST(date_part('Year', (SELECT CURRENT_TIMESTAMP)) AS VARCHAR)) AS VARCHAR),9,'0') AS SEQUENCIALANO, ID as ID
	FROM cnt_estudoTecnico
  LOOP
	UPDATE cnt_estudoTecnico SET numerosequencial = CAST(codigo AS integer), sequencialAno = r.SEQUENCIALANO WHERE ID = r.ID;
  END LOOP;
END$$;

ALTER TABLE cnt_estudoTecnico DROP COLUMN codigo;

DO $$
DECLARE
  r RECORD;
BEGIN
  FOR r IN
	SELECT
		lpad(CAST(concat(CAST(row_number() over() AS VARCHAR), CAST(date_part('Year', (SELECT CURRENT_TIMESTAMP)) AS VARCHAR)) AS VARCHAR),9,'0') AS SEQUENCIALANO, ID as ID
	FROM cnt_termoreferencia ORDER BY ID
  LOOP
	UPDATE cnt_termoreferencia SET codigo = r.SEQUENCIALANO WHERE ID = r.ID;
  END LOOP;
END$$;

ALTER TABLE cnt_cronogramaexecucao ALTER COLUMN codigo TYPE VARCHAR(10);

DO $$
DECLARE
  r RECORD;
BEGIN
  FOR r IN
	SELECT lpad(codigo,10,'0') AS SEQUENCIALANO , ID as ID FROM cnt_cronogramaexecucao
  LOOP
	UPDATE cnt_cronogramaexecucao SET codigo = r.SEQUENCIALANO WHERE ID = r.ID;
  END LOOP;
END$$;


ALTER TABLE cnt_ordemfornecimento ALTER COLUMN numordemfornecimento TYPE VARCHAR(20);

DO $$
DECLARE
  r RECORD;
BEGIN
  FOR r IN
	SELECT
		lpad(CAST(concat(CAST(row_number() over() AS VARCHAR), CAST(date_part('Year', (SELECT CURRENT_TIMESTAMP)) AS VARCHAR)) AS VARCHAR),9,'0') AS SEQUENCIALANO, ID as ID
	FROM cnt_ordemfornecimento ORDER BY ID
  LOOP
	UPDATE cnt_ordemfornecimento SET numordemfornecimento = r.SEQUENCIALANO WHERE ID = r.ID;
  END LOOP;
END$$;

DO $$
DECLARE
  r RECORD;
BEGIN
  FOR r IN
	SELECT lpad(sequencialano,9,'0') AS SEQUENCIALANO , ID as ID FROM cnt_registroocorrencia
  LOOP
	UPDATE cnt_registroocorrencia SET sequencialano = r.SEQUENCIALANO WHERE ID = r.ID;
  END LOOP;
END$$;

DO $$
DECLARE
  r RECORD;
BEGIN
  FOR r IN
	SELECT lpad(codigo,9,'0') AS SEQUENCIALANO , ID as ID FROM cnt_notificacao
  LOOP
	UPDATE cnt_notificacao SET codigo = r.SEQUENCIALANO WHERE ID = r.ID;
  END LOOP;
END$$;

DO $$
DECLARE
  r RECORD;
BEGIN
  FOR r IN
	SELECT lpad(numtermo,9,'0') AS SEQUENCIALANO , ID as ID FROM cnt_encerramentocontrato
  LOOP
	UPDATE cnt_encerramentocontrato SET numtermo = r.SEQUENCIALANO WHERE ID = r.ID;
  END LOOP;
END$$;

ALTER TABLE cnt_ev_liberacao_pagamento DROP CONSTRAINT uk_gg7hbv315s2l37q886vi69x09;


DELETE FROM cnt_ad_documento;
DELETE FROM cnt_ad_observacao;
DELETE FROM cnt_ev_aditivo;

DELETE FROM cnt_ev_ro_documento;
DELETE FROM cnt_ev_ro_observacao;
DELETE FROM cnt_ev_recebimentoobjeto;

DELETE FROM cnt_lp_ordemfornecimento;
DELETE FROM cnt_lp_empenho;
DELETE FROM cnt_lp_observacao;
DELETE FROM cnt_lp_documento;
DELETE FROM cnt_ev_liberacao_pagamento;


DELETE FROM cnt_ap_documento;
DELETE FROM cnt_ap_observacao;
DELETE FROM cnt_ev_apostilamento;

DELETE FROM cnt_rep_documento;
DELETE FROM cnt_rep_observacao;
DELETE FROM cnt_ev_repactuacao;


DELETE FROM cnt_rc_documento;
DELETE FROM cnt_rc_observacao;
DELETE FROM cnt_ev_rescisaocontrato;

DELETE FROM cnt_cn_evento WHERE tipoevento_id IN (SELECT ID FROM DOMINIO
WHERE CHAVE = 'tipoEventoContrato'
AND nome IN ('ADITIVO', 'APOSTILAMENTO', 'LIBERA_PAGAMENTO', 'RECEBIMENTO_OBJETO', 'REPACTUACAO', 'RESCISAO'));


-- ERICK FIM 31/03/2016

-- CIRO - INÍCIO 01/04/2016
ALTER TABLE cnt_ev_recebimentoobjeto DROP CONSTRAINT fk_mqveh23a280q09lmgmnousda1;
ALTER TABLE cnt_ev_recebimentoobjeto DROP COLUMN liberacaopagamento_id;
-- CIRO - FIM 01/04/2016
-- LUÍS CÉSAR INÍCIO 28/03/2016

INSERT INTO menufile (id, datacriacao, dataedicao, version, ativo, caminho, dominiomenufile_id, menu_id)
VALUES (NEXTVAL('hibernate_sequence'), LOCALTIMESTAMP, LOCALTIMESTAMP, 0, true, '/cit-contratos-web/assets/js/angular/custom/controller/ConsultaRelatoriosController.js',
	(SELECT id FROM dominio WHERE chave = 'tipoFile' AND codigo = 2), (SELECT id FROM menu WHERE chave = 'CONSULTA_RELATORIO'));

INSERT INTO menufile (id, datacriacao, dataedicao, version, ativo, caminho, dominiomenufile_id, menu_id)
VALUES (NEXTVAL('hibernate_sequence'), LOCALTIMESTAMP, LOCALTIMESTAMP, 0, true, '/cit-contratos-web/assets/js/angular/custom/controller/ConsultaRelatoriosController.min.js',
	(SELECT id FROM dominio WHERE chave = 'tipoFile' AND codigo = 2), (SELECT id FROM menu WHERE chave = 'CONSULTA_RELATORIO'));

-- LUÍS CÉSAR FIM    28/03/2016
