package br.com.centralit.framework.test.utils;

import br.com.centralit.api.model.Colaborador;
import br.com.centralit.api.model.EstudoTecnicoAcaoContingencia;
import br.com.six2six.fixturefactory.Fixture;
import br.com.six2six.fixturefactory.Rule;
import br.com.six2six.fixturefactory.loader.TemplateLoader;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 18/01/2016 - 08:40:39
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public class EstudoTecnicoAcaoContingenciaTemplateLoader implements TemplateLoader{

	@Override
	public void load() {

		Fixture.of(EstudoTecnicoAcaoContingencia.class).addTemplate("valid", new Rule() {
			{
				add("acaoContigencia", random("acaoContigencia estudoTecnicoAcaoContingencia 01", "acaoContigencia estudoTecnicoAcaoContingencia 01"));
				add("responsavel", one(Colaborador.class, "valid"));
			}
		});
	}
}
