package br.com.centralit.framework.test.utils;

import java.math.BigDecimal;

import br.com.centralit.api.model.EstudoTecnicoLevantamentoAlternativaQuestionario;
import br.com.centralit.api.model.EstudoTecnicoLevantamentoAlternativas;
import br.com.centralit.api.model.Fornecedor;
import br.com.centralit.api.model.OrgaoExterno;
import br.com.six2six.fixturefactory.Fixture;
import br.com.six2six.fixturefactory.Rule;
import br.com.six2six.fixturefactory.loader.TemplateLoader;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 18/01/2016 - 08:16:54
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public class EstudoTecnicoLevantamentoAlternativasTemplateLoader implements TemplateLoader{

	@Override
	public void load() {

		Fixture.of(EstudoTecnicoLevantamentoAlternativas.class).addTemplate("valid", new Rule() {
			{
				add("orgaoExterno", one(OrgaoExterno.class, "valid"));
				add("fornecedor", one(Fornecedor.class, "valid"));
				add("valor", random(BigDecimal.class, range(1.0, 2.0)));
				add("descricaoAlternativa", random("descricao alternativa de estudoTecnicoLevantamentoAlternativas 01", "descricao alternativa de estudoTecnicoLevantamentoAlternativas 02"));
				add("etlaQuestionario", one(EstudoTecnicoLevantamentoAlternativaQuestionario.class, "valid"));
			}
		});
	}
}
