package br.com.centralit.framework.test.utils;

import br.com.centralit.api.model.EstudoTecnicoRecursoMaterial;
import br.com.six2six.fixturefactory.Fixture;
import br.com.six2six.fixturefactory.Rule;
import br.com.six2six.fixturefactory.loader.TemplateLoader;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 *
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>
 *
 * @since 18/01/2016 - 08:38:37
 *
 * @version 1.0.0
 *
 * @author iago.almeida
 *
 */
public class EstudoTecnicoRecursoMaterialTemplateLoader implements TemplateLoader{

	@Override
	public void load() {

		Fixture.of(EstudoTecnicoRecursoMaterial.class).addTemplate("valid", new Rule() {
			{
				add("descricaoRecursoMaterial", random("descricaoRecursoMaterial estudoTecnicoRecursoMaterial 01", "descricaoRecursoMaterial estudoTecnicoRecursoMaterial 02"));
				add("quantidade", random(Long.class, range(1L, 200L)));
				add("disponivel", "true");
				add("acaoObtencao", random("acaoObtencao estudoTecnicoRecursoMaterial 01", "acaoObtencao estudoTecnicoRecursoMaterial 02"));
			}
		});
	}
}
