package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.EstudoTecnicoQuestionarioResposta;
import br.com.centralit.api.service.EstudoTecnicoQuestionarioRespostaService;
import br.com.centralit.framework.controller.GenericController;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 13/01/2016 - 11:32:40
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Controller
@RequestMapping("/rest/estudoTecnicoQuestionarioResposta")
public class EstudoTecnicoQuestionarioRespostaController extends GenericController<EstudoTecnicoQuestionarioResposta>{

	/** Atributo estudoTecnicoLevantamentoAlternativasService. */
	private EstudoTecnicoQuestionarioRespostaService estudoTecnicoQuestionarioRespostaService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param estudoTecnicoQuestionarioRespostaService
	 */
	@Autowired
	public EstudoTecnicoQuestionarioRespostaController(EstudoTecnicoQuestionarioRespostaService estudoTecnicoQuestionarioRespostaService) {

		super(estudoTecnicoQuestionarioRespostaService);

		this.estudoTecnicoQuestionarioRespostaService = estudoTecnicoQuestionarioRespostaService;
	}
}
