package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.EstudoTecnicoRecursoMaterial;
import br.com.centralit.api.service.EstudoTecnicoRecursoMaterialService;
import br.com.centralit.framework.controller.GenericController;
import br.com.centralit.framework.json.Views;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 20/01/2016 - 16:31:09
 *
 * @version 1.0.0
 *
 * @author geovane.filho
 *
 */
@Controller
@RequestMapping("/rest/estudoTecnicoRecursoMaterial")
public class EstudoTecnicoRecursoMaterialController extends GenericController<EstudoTecnicoRecursoMaterial>{

	/** Atributo estudoTecnicoService. */
	private EstudoTecnicoRecursoMaterialService estudoTecnicoRecursoMaterialService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param estudoTecnicoRecursoMaterialService
	 */
	@Autowired
	public EstudoTecnicoRecursoMaterialController(EstudoTecnicoRecursoMaterialService estudoTecnicoRecursoMaterialService) {

		super(estudoTecnicoRecursoMaterialService);

		this.estudoTecnicoRecursoMaterialService = estudoTecnicoRecursoMaterialService;
	}

	@Override
	public Class<Views.GenericView> getEditView() {

		return Views.GenericView.class;
	}

	@Override
	public Class<Views.GenericView> getListView() {

		return Views.GenericView.class;
	}

}
