package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.EventoPenalidade;
import br.com.centralit.api.service.EventoPenalidadeService;
import br.com.centralit.api.viewHelper.ViewsContrato;
import br.com.centralit.framework.controller.GenericController;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governan&ccedil;a Corporativa - </p>
 *
 * <p><b>Description: </b></p>
 *
 * @since 15/03/2016 - 14:20:25
 * @version 1.0.0
 * @author luis.camargo (<a href="mailto:luis.camargo@centralit.com.br">luis.camargo@centralit.com.br</a>)
 *
 */
@Controller
@RequestMapping("/rest/eventoPenalidade")
public class EventoPenalidadeController extends GenericController<EventoPenalidade> {

	private EventoPenalidadeService eventoPenalidadeService;

	public EventoPenalidadeController() {
		super();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Class<ViewsContrato.EventoPenalidadeEditView> getEditView() {

		return ViewsContrato.EventoPenalidadeEditView.class;
	}

	@Autowired
	public EventoPenalidadeController (EventoPenalidadeService eventoPenalidadeService) {

		super(eventoPenalidadeService);
		this.eventoPenalidadeService = (EventoPenalidadeService) eventoPenalidadeService;
	}

}
