package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.QuestionarioPergunta;
import br.com.centralit.api.service.QuestionarioPerguntaService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b> Monitor </p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">415</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 27/02/2015 - 14:45:58
 *
 * @version 1.0.0
 *
 * @author juliana.barbosa
 *	
 */
@Controller
@RequestMapping("/rest/questionarioPergunta")
public class QuestionarioPerguntaController extends GenericController<QuestionarioPergunta> {

	/** Atributo regraEventoService. */
	private QuestionarioPerguntaService questionarioPerguntaService;


	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param questionarioPerguntaService
	 */
	@Autowired
	public QuestionarioPerguntaController( QuestionarioPerguntaService questionarioPerguntaService ) {

		super(questionarioPerguntaService);
		
		this.questionarioPerguntaService = questionarioPerguntaService;
	}	
}
