package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.TermoReferenciaDetalhamentoSolucao;
import br.com.centralit.api.service.TermoReferenciaDetalhamentoSolucaoService;
import br.com.centralit.framework.controller.GenericController;

@Controller
@RequestMapping("/rest/termoReferenciaDetalhamentoSolucao")
public class TermoReferenciaDetalhamentoSolucaoController extends GenericController<TermoReferenciaDetalhamentoSolucao> {

	@Autowired
	private TermoReferenciaDetalhamentoSolucaoService termoReferenciaDetalhamentoSolucaoService;
	
	@Autowired
	public TermoReferenciaDetalhamentoSolucaoController(TermoReferenciaDetalhamentoSolucaoService termoReferenciaDetalhamentoSolucaoService) {
		super(termoReferenciaDetalhamentoSolucaoService);
	}
	
}
