citApp.factory('ContratoAnexoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ContratoAnexoRepository() {
    	
		this.downloadArquivo = function(idContratoAnexo) {
			return restangularContratos.one('rest/contratoAnexo/downloadArquivo').get({"idContratoAnexo": idContratoAnexo}).then();
		};   
		
    	this.listarAnexos = function(idContrato) {
    		return restangularContratos.one('rest/contratoAnexo').getList("listarAnexos", {"idContrato": idContrato}).then();
    	};   		

    	AbstractRepository.call(this, restangularContratos, 'rest/contratoAnexo');
    }

    AbstractRepository.extend(ContratoAnexoRepository);

    return new ContratoAnexoRepository();
}]);