'use strict';

citApp.factory('ContratoEmpenhoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ContratoEmpenhoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/contratoEmpenho');
    	
    	this.findAllByContrato = function(contratoId) {
    		return restangularContratos.all(this.route+'/findAllByContrato').post(contratoId);
    	};   
    	
    	this.findEmpenhoParaLiberacao = function(contratoId) {
    		return restangularContratos.all(this.route+'/findEmpenhoParaLiberacao').post(contratoId);
    	}; 
    }

    AbstractRepository.extend(ContratoEmpenhoRepository);

    return new ContratoEmpenhoRepository();
}]);
