'use strict';

citApp.factory('ContratoEnvolvidoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ContratoEnvolvidoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/contratoEnvolvido');

    	this.findProfissionaisContrato = function(idContrato) {
    		return restangularContratos.one(this.route).getList("findProfissionaisContrato", {"idContrato": idContrato}).then();
    	};

    }

    AbstractRepository.extend(ContratoEnvolvidoRepository);

    return new ContratoEnvolvidoRepository();
}]);
