'use strict';

citApp.factory('ContratoInfracaoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ContratoInfracaoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/contratoInfracao');
    	
    	this.findAllByContrato = function(contratoId) {
    		return restangularContratos.all(this.route+'/findAllByContrato').post(contratoId);
    	};  
    }

    AbstractRepository.extend(ContratoInfracaoRepository);

    return new ContratoInfracaoRepository();
}]);
