'use strict';

citApp.factory('ContratoItemRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ContratoItemRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/contratoItem');
    	
    	this.findAllByContrato = function(contratoId) {
    		return restangularContratos.all(this.route+'/findAllByContrato').post(contratoId);
    	};
    	
		this.findAutoCompleteContratoItemByNomeAndContrato = function(value, idContrato, idOrganizacao) {
			return restangularContratos.one('rest/contratoItem').getList("findAutoCompleteContratoItemByNomeAndContrato", {"nome" : value, "idContrato" : idContrato}).then();
		};

    }

    AbstractRepository.extend(ContratoItemRepository);

    return new ContratoItemRepository();
}]);
