'use strict';

citApp.factory('ContratoRescisaoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ContratoRescisaoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/contratoRescisao');
    	
    	this.findAllByContrato = function(contratoId) {
    		return restangularContratos.all(this.route+'/findAllByContrato').post(contratoId);
    	};      	
    }

    AbstractRepository.extend(ContratoRescisaoRepository);

    return new ContratoRescisaoRepository();
}]);
