'use strict';

citApp.factory('EstudoTecnicoBemServicoSolucaoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function EstudoTecnicoBemServicoSolucaoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/estudoTecnicoBemServicoSolucao');  
    	
    	this.listarBensServicosPorNome = function(nome) {
    		return restangularContratos.one('rest/estudoTecnicoBemServicoSolucao').getList("listarBensServicosPorNome", {"nome": nome}).then();
    	};       	
    	
    }
    
    AbstractRepository.extend(EstudoTecnicoBemServicoSolucaoRepository);
    
    return new EstudoTecnicoBemServicoSolucaoRepository();
}]);