'use strict';

citApp.factory('EventoLiberacaoPagamentoRepository', ['RestangularContratos', 'AbstractRepository', function(restangularContratos, AbstractRepository) {

			function EventoLiberacaoPagamentoRepository() {
				AbstractRepository.call(this, restangularContratos, 'rest/eventoLiberacaoPagamentoRepository');

		    	this.getValorTotalExecutadoEmpenho = function(empenhoId) {
		    		return restangularContratos.one(this.route + "/getValorTotalExecutadoEmpenho").get({"empenhoId" : empenhoId}).then();
		    	};

		    	this.getValorTotalLiberado = function(contratoId) {
		    		return restangularContratos.one(this.route + "/getValorTotalLiberado").get({"contratoId" : contratoId}).then();
		    	};

			}

			AbstractRepository.extend(EventoLiberacaoPagamentoRepository);

			return new EventoLiberacaoPagamentoRepository();
		}]);