'use strict';

citApp.factory('EventoRegistroNaoConformidadeRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function EventoRegistroNaoConformidadeRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/eventoRegistroNaoConformidade');

    	this.aplicacoesNaoConformidadeContrato = function(idContrato) {
    		return restangularContratos.one(this.route).getList("aplicacoesNaoConformidadeContrato", {contratoId : idContrato}).then();
    	};

    	this.existeVinculoSancoesComNaoConformidade = function(sancaoId) {
    		return 	restangularContratos.one(this.route + "/existeVinculoSancoesComNaoConformidade").get({"sancaoId": sancaoId}).then();
    	};

    }

    AbstractRepository.extend(EventoRegistroNaoConformidadeRepository);

    return new EventoRegistroNaoConformidadeRepository();
}]);
