'use strict';

citApp.factory('FluxoTrabalhoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function FluxoTrabalhoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/fluxoTrabalho');
    	
    	this.listarFluxosTrabalho = function(nome) {
    		return restangularContratos.one('rest/fluxoTrabalho').getList("listarFluxosTrabalho", {"nome": nome}).then();
    	};    	          	
    	
    }
    
    AbstractRepository.extend(FluxoTrabalhoRepository);
    
    return new FluxoTrabalhoRepository();
}]);