'use strict';
citApp.factory('ObjetivoEstrategicoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ObjetivoEstrategicoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/objetivoEstrategico');
    	
    	this.findAllByOrganizacao = function() {
    		return restangularContratos.one('rest/objetivoEstrategico').getList("findAllByOrganizacao").then();
    	};
    }
    
    AbstractRepository.extend(ObjetivoEstrategicoRepository);
    
    return new ObjetivoEstrategicoRepository();
}]);