'use strict';
citApp.factory('ProgramaAcaoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function ProgramaAcaoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/programaAcao');
    	
    	this.findAllByPrograma = function(programa) {
    		return restangularContratos.one('rest/programaAcao').getList("findAllByPrograma", {programaId : programa.id}).then();
    	};
    }
    
    AbstractRepository.extend(ProgramaAcaoRepository);
    
    return new ProgramaAcaoRepository();
}]);