'use strict';

citApp.factory('RegistroOcorrenciaRepository', ['RestangularContratos', 'AbstractRepository', function(restangularContratos, AbstractRepository) {

			function RegistroOcorrenciaRepository() {
				AbstractRepository.call(this, restangularContratos, 'rest/registroOcorrencia');

		    	this.findAllOcorrenciasPorContrato = function(idContrato) {
		    		return restangularContratos.one(this.route).getList("findAllOcorrenciasPorContrato", {"idContrato": idContrato}).then();
		    	};

		    	this.getValorTotalGlosaOrdem = function(ordemFornecimentoId) {
		    		return restangularContratos.one(this.route + "/getValorTotalGlosaOrdem").get({"ordemFornecimentoId" : ordemFornecimentoId}).then();
		    	};

			}

			AbstractRepository.extend(RegistroOcorrenciaRepository);

			return new RegistroOcorrenciaRepository();
		}]);