'use strict';

citApp.factory('TermoReferenciaSancaoRepository', ['RestangularContratos', 'AbstractRepository', function (restangularContratos, AbstractRepository) {

    function TermoReferenciaSancaoRepository() {
    	AbstractRepository.call(this, restangularContratos, 'rest/termoReferenciaSancao');
    	
    	this.listarSancoesPorContrato = function(contratoId) {
    		return restangularContratos.one(this.route).getList("listarSancoesPorContrato", {contratoId : contratoId}).then();
    	};
    }

    AbstractRepository.extend(TermoReferenciaSancaoRepository);

    return new TermoReferenciaSancaoRepository();
}]);
